import os
import unittest
import json
from pytlex_core.algorithms.TLEX import TLEX
from pytlex_core.data.Graph import Graph
from pytlex_tests import Testing_utilities
import json

from pytlex_tests.jTLEX_Data import jTLEX_Counts


class TLEX_test(unittest.TestCase):
    def test_partitions(self):
        filepath = r"../pytlex_data/TimeBankCorpus/wsj_0006.tml"
        graph = Graph(filepath=filepath)
        tlex = TLEX(graph=graph)
        print("\n", tlex.partitions)

    def test_timeline(self):
        filepath = r"../pytlex_data/TimeBankCorpus/wsj_0006.tml"
        graph = Graph(filepath=filepath)
        tlex = TLEX(graph=graph)
        print("\n", tlex.timeline.trunk.to_json())

    def test_indeterminacy(self):
        filepath = r"../pytlex_data/TimeBankCorpus/wsj_0292.tml"
        graph = Graph(filepath=filepath)
        tlex = TLEX(graph=graph)
        tlex.get_indeterminacy_score()

    def test_json(self):
        filepath = r"../pytlex_data/TimeBankCorpus/wsj_1073.tml"
        graph = Graph(filepath=filepath)
        tlex = TLEX(graph=graph)
        print("\n", tlex.to_json())

    def test_json_compare(self):
        pytlex = json.loads("""{"nodes":[{"tID":"t208", "value":"1989-10-30", "temporalFunction":"True", "phrase":"10/30/89", "type":"DATE", "mod":"NULL", "documentFunction":"CREATION_TIME", "anchorID":"NULL", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t209", "value":"1989-10-27", "temporalFunction":"True", "phrase":"Friday", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t211", "value":"1989-Q3", "temporalFunction":"True", "phrase":"the third quarter", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t214", "value":"1990", "temporalFunction":"True", "phrase":"next year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2135", "value":"1989-Q3", "temporalFunction":"True", "phrase":"the quarter", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t211", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t225", "value":"1988-Q3", "temporalFunction":"True", "phrase":"the year-earlier quarter", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t211", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t228", "value":"1989-09", "temporalFunction":"True", "phrase":"a month ago", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t235", "value":"1989-Q3", "temporalFunction":"True", "phrase":"the quarter", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t211", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t237", "value":"FUTURE_REF", "temporalFunction":"True", "phrase":"future quarters", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t239", "value":"1989-Q3", "temporalFunction":"True", "phrase":"the quarter", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t211", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t243", "value":"1989", "temporalFunction":"True", "phrase":"the end of the year", "type":"DATE", "mod":"END", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t246", "value":"1989-Q3", "temporalFunction":"True", "phrase":"the quarter", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t211", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t249", "value":"PAST_REF", "temporalFunction":"True", "phrase":"the past several quarters", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"NULL", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t256", "value":"P1Q", "temporalFunction":"True", "phrase":"every quarter", "type":"SET", "mod":"NULL", "documentFunction":"NONE", "anchorID":"NULL", "quantity":"every", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t259", "value":"1990", "temporalFunction":"True", "phrase":"next year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t1998", "value":"FUTURE_REF", "temporalFunction":"True", "phrase":"the near term", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2000", "value":"1989", "temporalFunction":"True", "phrase":"this year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2003", "value":"1989", "temporalFunction":"True", "phrase":"this year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2008", "value":"1988", "temporalFunction":"True", "phrase":"last year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2009", "value":"1989-10-27", "temporalFunction":"True", "phrase":"Friday", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2012", "value":"P9M", "temporalFunction":"True", "phrase":"the first nine months", "type":"DURATION", "mod":"NULL", "documentFunction":"NONE", "anchorID":"NULL", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"t208"},{"tID":"t2013", "value":"1988", "temporalFunction":"True", "phrase":"a year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2021", "value":"1989-Q4", "temporalFunction":"True", "phrase":"the fourth quarter", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2022", "value":"1990", "temporalFunction":"True", "phrase":"next year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2029", "value":"1990", "temporalFunction":"True", "phrase":"next year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2034", "value":"1990", "temporalFunction":"True", "phrase":"next year", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"tID":"t2038", "value":"1989-10-27", "temporalFunction":"True", "phrase":"Friday", "type":"DATE", "mod":"NULL", "documentFunction":"NONE", "anchorID":"t208", "quantity":"NULL", "freq":"NULL", "beginPoint":"NULL", "endPoint":"NULL"},{"id":"eiid2806", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1", "eventClass":"I_ACTION"}},{"id":"eiid2807", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2", "eventClass":"STATE"}},{"id":"eiid2808", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e212", "eventClass":"OCCURRENCE"}},{"id":"eiid2809", "tense":"PASTPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e5", "eventClass":"I_STATE"}},{"id":"eiid2810", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e7", "eventClass":"OCCURRENCE"}},{"id":"eiid2811", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2065", "eventClass":"OCCURRENCE"}},{"id":"eiid2812", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e9", "eventClass":"I_ACTION"}},{"id":"eiid2813", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e213", "eventClass":"OCCURRENCE"}},{"id":"eiid2814", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e11", "eventClass":"STATE"}},{"id":"eiid2815", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e13", "eventClass":"OCCURRENCE"}},{"id":"eiid2816", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e14", "eventClass":"OCCURRENCE"}},{"id":"eiid2817", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e16", "eventClass":"I_STATE"}},{"id":"eiid2818", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e216", "eventClass":"STATE"}},{"id":"eiid2819", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e17", "eventClass":"I_STATE"}},{"id":"eiid2820", "tense":"PASTPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e18", "eventClass":"STATE"}},{"id":"eiid2821", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e20", "eventClass":"REPORTING"}},{"id":"eiid2823", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e22", "eventClass":"OCCURRENCE"}},{"id":"eiid2826", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e226", "eventClass":"STATE"}},{"id":"eiid2827", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e23", "eventClass":"STATE"}},{"id":"eiid2828", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e24", "eventClass":"OCCURRENCE"}},{"id":"eiid2829", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e227", "eventClass":"OCCURRENCE"}},{"id":"eiid2830", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e26", "eventClass":"OCCURRENCE"}},{"id":"eiid2831", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e28", "eventClass":"REPORTING"}},{"id":"eiid2832", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"modality=would", "cardinality":"null", "signal":{}, "event":{"id":"e29", "eventClass":"STATE"}},{"id":"eiid2833", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e31", "eventClass":"REPORTING"}},{"id":"eiid2834", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"modality=should", "cardinality":"null", "signal":{}, "event":{"id":"e32", "eventClass":"I_STATE"}},{"id":"eiid2835", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e34", "eventClass":"OCCURRENCE"}},{"id":"eiid2836", "tense":"PASTPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e230", "eventClass":"REPORTING"}},{"id":"eiid2837", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e37", "eventClass":"OCCURRENCE"}},{"id":"eiid2838", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e38", "eventClass":"OCCURRENCE"}},{"id":"eiid2839", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e40", "eventClass":"OCCURRENCE"}},{"id":"eiid2840", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e229", "eventClass":"STATE"}},{"id":"eiid2841", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e43", "eventClass":"OCCURRENCE"}},{"id":"eiid2842", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e44", "eventClass":"OCCURRENCE"}},{"id":"eiid2843", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"modality=none", "cardinality":"null", "signal":{}, "event":{"id":"e45", "eventClass":"OCCURRENCE"}},{"id":"eiid2844", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e47", "eventClass":"OCCURRENCE"}},{"id":"eiid2845", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e49", "eventClass":"OCCURRENCE"}},{"id":"eiid2846", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"modality=have to", "cardinality":"null", "signal":{}, "event":{"id":"e52", "eventClass":"OCCURRENCE"}},{"id":"eiid2847", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e53", "eventClass":"OCCURRENCE"}},{"id":"eiid2848", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e54", "eventClass":"OCCURRENCE"}},{"id":"eiid2849", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e56", "eventClass":"REPORTING"}},{"id":"eiid2850", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e57", "eventClass":"OCCURRENCE"}},{"id":"eiid2851", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e63", "eventClass":"OCCURRENCE"}},{"id":"eiid2852", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e64", "eventClass":"OCCURRENCE"}},{"id":"eiid2853", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e67", "eventClass":"ASPECTUAL"}},{"id":"eiid2854", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e68", "eventClass":"OCCURRENCE"}},{"id":"eiid2855", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e70", "eventClass":"REPORTING"}},{"id":"eiid2856", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2328", "eventClass":"OCCURRENCE"}},{"id":"eiid2857", "tense":"PRESPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e73", "eventClass":"OCCURRENCE"}},{"id":"eiid2858", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e240", "eventClass":"I_STATE"}},{"id":"eiid2859", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e241", "eventClass":"STATE"}},{"id":"eiid2860", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e76", "eventClass":"REPORTING"}},{"id":"eiid2861", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e244", "eventClass":"STATE"}},{"id":"eiid2862", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e80", "eventClass":"I_STATE"}},{"id":"eiid2863", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e84", "eventClass":"I_ACTION"}},{"id":"eiid2864", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e247", "eventClass":"STATE"}},{"id":"eiid2865", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e85", "eventClass":"REPORTING"}},{"id":"eiid2866", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e250", "eventClass":"STATE"}},{"id":"eiid2867", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"modality=would", "cardinality":"null", "signal":{}, "event":{"id":"e2410", "eventClass":"STATE"}},{"id":"eiid2868", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2409", "eventClass":"ASPECTUAL"}},{"id":"eiid2869", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2405", "eventClass":"OCCURRENCE"}},{"id":"eiid2870", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2406", "eventClass":"I_STATE"}},{"id":"eiid2871", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2407", "eventClass":"I_STATE"}},{"id":"eiid2872", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2408", "eventClass":"OCCURRENCE"}},{"id":"eiid2873", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"modality=must", "cardinality":"null", "signal":{}, "event":{"id":"e105", "eventClass":"I_ACTION"}},{"id":"eiid2874", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e253", "eventClass":"STATE"}},{"id":"eiid2875", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e107", "eventClass":"OCCURRENCE"}},{"id":"eiid2877", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"modality=must", "cardinality":"every", "signal":{}, "event":{"id":"e110", "eventClass":"OCCURRENCE"}},{"id":"eiid2878", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e115", "eventClass":"REPORTING"}},{"id":"eiid2879", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e116", "eventClass":"OCCURRENCE"}},{"id":"eiid2880", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e118", "eventClass":"REPORTING"}},{"id":"eiid2881", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1991", "eventClass":"STATE"}},{"id":"eiid2882", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e124", "eventClass":"REPORTING"}},{"id":"eiid2883", "tense":"PRESPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e126", "eventClass":"OCCURRENCE"}},{"id":"eiid2884", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e128", "eventClass":"ASPECTUAL"}},{"id":"eiid2885", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e129", "eventClass":"REPORTING"}},{"id":"eiid2886", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1992", "eventClass":"OCCURRENCE"}},{"id":"eiid2887", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"NEG", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1993", "eventClass":"OCCURRENCE"}},{"id":"eiid2888", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e138", "eventClass":"REPORTING"}},{"id":"eiid2889", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e139", "eventClass":"OCCURRENCE"}},{"id":"eiid2890", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e141", "eventClass":"I_STATE"}},{"id":"eiid2891", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e143", "eventClass":"OCCURRENCE"}},{"id":"eiid2892", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1995", "eventClass":"STATE"}},{"id":"eiid2893", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e145", "eventClass":"OCCURRENCE"}},{"id":"eiid2894", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e146", "eventClass":"OCCURRENCE"}},{"id":"eiid2895", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e152", "eventClass":"REPORTING"}},{"id":"eiid2896", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1997", "eventClass":"STATE"}},{"id":"eiid2897", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1996", "eventClass":"I_STATE"}},{"id":"eiid2898", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e157", "eventClass":"STATE"}},{"id":"eiid2899", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"NEG", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e158", "eventClass":"I_STATE"}},{"id":"eiid2900", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e160", "eventClass":"OCCURRENCE"}},{"id":"eiid2901", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1999", "eventClass":"STATE"}},{"id":"eiid2902", "tense":"PASTPART", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"plural", "signal":{}, "event":{"id":"e162", "eventClass":"OCCURRENCE"}},{"id":"eiid2903", "tense":"PAST", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e163", "eventClass":"I_ACTION"}},{"id":"eiid2906", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e165", "eventClass":"REPORTING"}},{"id":"eiid2907", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e166", "eventClass":"OCCURRENCE"}},{"id":"eiid2908", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2010", "eventClass":"STATE"}},{"id":"eiid2909", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2015", "eventClass":"STATE"}},{"id":"eiid2910", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e169", "eventClass":"OCCURRENCE"}},{"id":"eiid2913", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e170", "eventClass":"I_STATE"}},{"id":"eiid2914", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e172", "eventClass":"OCCURRENCE"}},{"id":"eiid2915", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e174", "eventClass":"REPORTING"}},{"id":"eiid2916", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e175", "eventClass":"OCCURRENCE"}},{"id":"eiid2917", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2710", "eventClass":"STATE"}},{"id":"eiid2918", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2709", "eventClass":"I_STATE"}},{"id":"eiid2920", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2027", "eventClass":"STATE"}},{"id":"eiid2921", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e180", "eventClass":"REPORTING"}},{"id":"eiid2922", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e181", "eventClass":"STATE"}},{"id":"eiid2923", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e182", "eventClass":"REPORTING"}},{"id":"eiid2924", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e183", "eventClass":"I_STATE"}},{"id":"eiid2926", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2032", "eventClass":"STATE"}},{"id":"eiid2928", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e187", "eventClass":"I_ACTION"}},{"id":"eiid2929", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2035", "eventClass":"STATE"}},{"id":"eiid2930", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e189", "eventClass":"OCCURRENCE"}},{"id":"eiid2931", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2036", "eventClass":"STATE"}},{"id":"eiid2932", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2784", "eventClass":"OCCURRENCE"}},{"id":"eiid2933", "tense":"PAST", "aspect":"PERFECTIVE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2785", "eventClass":"STATE"}},{"id":"eiid2934", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2786", "eventClass":"STATE"}},{"id":"eiid2935", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2787", "eventClass":"STATE"}},{"id":"eiid2936", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2788", "eventClass":"STATE"}},{"id":"eiid2937", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2789", "eventClass":"STATE"}},{"id":"eiid2938", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2790", "eventClass":"STATE"}},{"id":"eiid2939", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2791", "eventClass":"STATE"}},{"id":"eiid2940", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2792", "eventClass":"STATE"}},{"id":"eiid2941", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2793", "eventClass":"STATE"}},{"id":"eiid2942", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"PREPOSITION", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2794", "eventClass":"STATE"}},{"id":"eiid2943", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2795", "eventClass":"STATE"}}],"links":[{"id":"lid158", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2921", "eventInstance":"eiid2928"},{"id":"lid157", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2034", "eventInstance":"eiid2943"},{"id":"lid156", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2942"},{"id":"lid155", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2915"},{"id":"lid154", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2920", "eventInstance":"eiid2941"},{"id":"lid153", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2013", "eventInstance":"eiid2910"},{"id":"lid152", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2008", "eventInstance":"eiid2938"},{"id":"lid151", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2003", "eventInstance":"eiid2937"},{"id":"lid150", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2883"},{"id":"lid149", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2875", "eventInstance":"eiid2936"},{"id":"lid148", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2850", "eventInstance":"eiid2854"},{"id":"lid147", "linkTag":"TLINK", "syntax": "", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"eiid2840", "eventInstance":"eiid2843"},{"id":"lid146", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2806", "eventInstance":"eiid2833"},{"id":"lid145", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2823", "eventInstance":"eiid2935"},{"id":"lid144", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2823", "eventInstance":"eiid2934"},{"id":"lid143", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2806", "eventInstance":"eiid2933"},{"id":"lid1", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2038", "eventInstance":"eiid2930"},{"id":"lid2", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t209", "eventInstance":"eiid2806"},{"id":"lid3", "linkTag":"TLINK", "syntax": "", "temporalRelation":"DURING", "signal":"sid210", "relatedToNode":"t211", "eventInstance":"eiid2807"},{"id":"lid4", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2807", "eventInstance":"eiid2808"},{"id":"lid5", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2808", "eventInstance":"eiid2809"},{"id":"lid6", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2811", "eventInstance":"eiid2810"},{"id":"lid7", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t214", "eventInstance":"eiid2813"},{"id":"lid8", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2806"},{"id":"lid9", "linkTag":"TLINK", "syntax": "", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2815", "eventInstance":"eiid2814"},{"id":"lid10", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2816", "eventInstance":"eiid2814"},{"id":"lid11", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2816", "eventInstance":"eiid2815"},{"id":"lid12", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2817", "eventInstance":"eiid2816"},{"id":"lid13", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2821"},{"id":"lid14", "linkTag":"TLINK", "syntax": "", "temporalRelation":"ENDED_BY", "signal":{}, "relatedToNode":"eiid2820", "eventInstance":"eiid2819"},{"id":"lid15", "linkTag":"TLINK", "syntax": "", "temporalRelation":"DURING", "signal":"sid2134", "relatedToNode":"t2135", "eventInstance":"eiid2823"},{"id":"lid16", "linkTag":"TLINK", "syntax": "", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2823", "eventInstance":"eiid2826"},{"id":"lid17", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2827", "eventInstance":"eiid2826"},{"id":"lid18", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2829", "eventInstance":"eiid2828"},{"id":"lid19", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid2134", "relatedToNode":"t2135", "eventInstance":"eiid2828"},{"id":"lid20", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2828", "eventInstance":"eiid2830"},{"id":"lid21", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t228", "eventInstance":"eiid2831"},{"id":"lid22", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":"sid231", "relatedToNode":"eiid2836", "eventInstance":"eiid2835"},{"id":"lid23", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":"sid231", "relatedToNode":"eiid2836", "eventInstance":"eiid2832"},{"id":"lid24", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2838", "eventInstance":"eiid2837"},{"id":"lid25", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2837"},{"id":"lid26", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2842", "eventInstance":"eiid2841"},{"id":"lid27", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2837", "eventInstance":"eiid2841"},{"id":"lid28", "linkTag":"TLINK", "syntax": "", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2837", "eventInstance":"eiid2844"},{"id":"lid29", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2846", "eventInstance":"eiid2845"},{"id":"lid30", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2847", "eventInstance":"eiid2846"},{"id":"lid31", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"eiid2848", "eventInstance":"eiid2847"},{"id":"lid32", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2849"},{"id":"lid33", "linkTag":"TLINK", "syntax": "", "temporalRelation":"DURING", "signal":"sid234", "relatedToNode":"t235", "eventInstance":"eiid2850"},{"id":"lid34", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2852", "eventInstance":"eiid2851"},{"id":"lid35", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2853", "eventInstance":"eiid2851"},{"id":"lid36", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid236", "relatedToNode":"t237", "eventInstance":"eiid2853"},{"id":"lid37", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2849", "eventInstance":"eiid2855"},{"id":"lid38", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid238", "relatedToNode":"t239", "eventInstance":"eiid2856"},{"id":"lid39", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2857", "eventInstance":"eiid2856"},{"id":"lid40", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2859", "eventInstance":"eiid2856"},{"id":"lid41", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2856", "eventInstance":"eiid2858"},{"id":"lid42", "linkTag":"TLINK", "syntax": "", "temporalRelation":"ENDED_BY", "signal":"sid242", "relatedToNode":"t243", "eventInstance":"eiid2859"},{"id":"lid43", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2855", "eventInstance":"eiid2860"},{"id":"lid44", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid245", "relatedToNode":"t246", "eventInstance":"eiid2861"},{"id":"lid45", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2861", "eventInstance":"eiid2862"},{"id":"lid46", "linkTag":"TLINK", "syntax": "", "temporalRelation":"DURING", "signal":"sid248", "relatedToNode":"t249", "eventInstance":"eiid2864"},{"id":"lid47", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2860", "eventInstance":"eiid2865"},{"id":"lid48", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2867", "eventInstance":"eiid2868"},{"id":"lid49", "linkTag":"TLINK", "syntax": "", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2869"},{"id":"lid50", "linkTag":"TLINK", "syntax": "", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2869", "eventInstance":"eiid2870"},{"id":"lid51", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2867", "eventInstance":"eiid2869"},{"id":"lid52", "linkTag":"TLINK", "syntax": "", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2869", "eventInstance":"eiid2873"},{"id":"lid53", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2875"},{"id":"lid54", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2877", "eventInstance":"eiid2875"},{"id":"lid55", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t256", "eventInstance":"eiid2877"},{"id":"lid56", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2878", "eventInstance":"eiid2880"},{"id":"lid57", "linkTag":"TLINK", "syntax": "", "temporalRelation":"DURING", "signal":"sid258", "relatedToNode":"t259", "eventInstance":"eiid2884"},{"id":"lid58", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2880", "eventInstance":"eiid2882"},{"id":"lid59", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2882"},{"id":"lid60", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2882", "eventInstance":"eiid2885"},{"id":"lid61", "linkTag":"TLINK", "syntax": "", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2887", "eventInstance":"eiid2886"},{"id":"lid62", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2885", "eventInstance":"eiid2888"},{"id":"lid63", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2889", "eventInstance":"eiid2887"},{"id":"lid64", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2889", "eventInstance":"eiid2890"},{"id":"lid65", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2890", "eventInstance":"eiid2887"},{"id":"lid66", "linkTag":"TLINK", "syntax": "", "temporalRelation":"ENDED_BY", "signal":{}, "relatedToNode":"eiid2891", "eventInstance":"eiid2889"},{"id":"lid67", "linkTag":"TLINK", "syntax": "", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2893", "eventInstance":"eiid2892"},{"id":"lid68", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2882", "eventInstance":"eiid2895"},{"id":"lid69", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t1998", "eventInstance":"eiid2900"},{"id":"lid70", "linkTag":"TLINK", "syntax": "", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2897", "eventInstance":"eiid2901"},{"id":"lid71", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2901", "eventInstance":"eiid2902"},{"id":"lid72", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid2619", "relatedToNode":"t2000", "eventInstance":"eiid2902"},{"id":"lid73", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2901", "eventInstance":"eiid2903"},{"id":"lid74", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2009", "eventInstance":"eiid2906"},{"id":"lid75", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2908", "eventInstance":"eiid2907"},{"id":"lid76", "linkTag":"TLINK", "syntax": "", "temporalRelation":"DURING", "signal":"sid2011", "relatedToNode":"t2012", "eventInstance":"eiid2908"},{"id":"lid77", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":"sid2014", "relatedToNode":"eiid2908", "eventInstance":"eiid2909"},{"id":"lid78", "linkTag":"TLINK", "syntax": "", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2913"},{"id":"lid79", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid2020", "relatedToNode":"t2021", "eventInstance":"eiid2914"},{"id":"lid80", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid2023", "relatedToNode":"t2022", "eventInstance":"eiid2917"},{"id":"lid81", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEGUN_BY", "signal":"sid2025", "relatedToNode":"eiid2920", "eventInstance":"eiid2916"},{"id":"lid82", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance":"eiid2921"},{"id":"lid83", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid2028", "relatedToNode":"t2029", "eventInstance":"eiid2922"},{"id":"lid84", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2921", "eventInstance":"eiid2923"},{"id":"lid85", "linkTag":"TLINK", "syntax": "", "temporalRelation":"IS_INCLUDED", "signal":"sid2033", "relatedToNode":"t2034", "eventInstance":"eiid2926"},{"id":"lid86", "linkTag":"TLINK", "syntax": "", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"eiid2924", "eventInstance":"eiid2929"},{"id":"lid87", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2930", "eventInstance":"eiid2929"},{"id":"lid88", "linkTag":"TLINK", "syntax": "", "temporalRelation":"ENDED_BY", "signal":{}, "relatedToNode":"eiid2931", "eventInstance":"eiid2930"},{"id":"lid89", "linkTag":"TLINK", "syntax": "", "temporalRelation":"BEGINS", "signal":"sid2014", "relatedToNode":"t2013", "eventInstance":"eiid2909"},{"id":"lid90", "linkTag":"TLINK", "syntax": "", "temporalRelation":"ENDS", "signal":"sid2014", "relatedToNode":"t2013", "eventInstance":"eiid2908"},{"id":"lid142", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2943", "eventInstance":"eiid2928"},{"id":"lid141", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2942", "eventInstance":"eiid2924"},{"id":"lid140", "linkTag":"SLINK", "syntax": "", "temporalRelation":"FACTIVE", "signal":{}, "relatedToNode":"eiid2848", "eventInstance":"eiid2847"},{"id":"lid91", "linkTag":"SLINK", "syntax": "", "temporalRelation":"CONDITIONAL", "signal":"sid2412", "relatedToNode":"eiid2867", "eventInstance":"eiid2868"},{"id":"lid92", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2807", "eventInstance":"eiid2806"},{"id":"lid93", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2808", "eventInstance":"eiid2809"},{"id":"lid94", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2810", "eventInstance":"eiid2808"},{"id":"lid95", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2812", "eventInstance":"eiid2808"},{"id":"lid96", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2813", "eventInstance":"eiid2812"},{"id":"lid97", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2818", "eventInstance":"eiid2817"},{"id":"lid98", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2819", "eventInstance":"eiid2821"},{"id":"lid99", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2832", "eventInstance":"eiid2831"},{"id":"lid100", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2834", "eventInstance":"eiid2833"},{"id":"lid101", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2835", "eventInstance":"eiid2834"},{"id":"lid102", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2839", "eventInstance":"eiid2837"},{"id":"lid103", "linkTag":"SLINK", "syntax": "", "temporalRelation":"FACTIVE", "signal":{}, "relatedToNode":"eiid2840", "eventInstance":"eiid2839"},{"id":"lid104", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2845", "eventInstance":"eiid2844"},{"id":"lid105", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2850", "eventInstance":"eiid2849"},{"id":"lid106", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2856", "eventInstance":"eiid2855"},{"id":"lid107", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2859", "eventInstance":"eiid2858"},{"id":"lid108", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2861", "eventInstance":"eiid2860"},{"id":"lid109", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2863", "eventInstance":"eiid2862"},{"id":"lid110", "linkTag":"SLINK", "syntax": "", "temporalRelation":"FACTIVE", "signal":{}, "relatedToNode":"eiid2864", "eventInstance":"eiid2863"},{"id":"lid111", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2866", "eventInstance":"eiid2865"},{"id":"lid112", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2871", "eventInstance":"eiid2870"},{"id":"lid113", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2872", "eventInstance":"eiid2871"},{"id":"lid114", "linkTag":"SLINK", "syntax": "", "temporalRelation":"FACTIVE", "signal":{}, "relatedToNode":"eiid2874", "eventInstance":"eiid2873"},{"id":"lid115", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2879", "eventInstance":"eiid2878"},{"id":"lid116", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2881", "eventInstance":"eiid2880"},{"id":"lid117", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2884", "eventInstance":"eiid2882"},{"id":"lid118", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2887", "eventInstance":"eiid2885"},{"id":"lid119", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2889", "eventInstance":"eiid2888"},{"id":"lid120", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2891", "eventInstance":"eiid2890"},{"id":"lid121", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2892", "eventInstance":"eiid2891"},{"id":"lid122", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2894", "eventInstance":"eiid2895"},{"id":"lid123", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2897", "eventInstance":"eiid2895"},{"id":"lid124", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2898", "eventInstance":"eiid2897"},{"id":"lid125", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2896", "eventInstance":"eiid2895"},{"id":"lid126", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2899", "eventInstance":"eiid2895"},{"id":"lid127", "linkTag":"SLINK", "syntax": "", "temporalRelation":"FACTIVE", "signal":{}, "relatedToNode":"eiid2900", "eventInstance":"eiid2899"},{"id":"lid128", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2907", "eventInstance":"eiid2906"},{"id":"lid129", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2914", "eventInstance":"eiid2913"},{"id":"lid130", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2916", "eventInstance":"eiid2915"},{"id":"lid131", "linkTag":"SLINK", "syntax": "", "temporalRelation":"FACTIVE", "signal":{}, "relatedToNode":"eiid2918", "eventInstance":"eiid2916"},{"id":"lid132", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2922", "eventInstance":"eiid2921"},{"id":"lid133", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2924", "eventInstance":"eiid2923"},{"id":"lid134", "linkTag":"SLINK", "syntax": "", "temporalRelation":"EVIDENTIAL", "signal":{}, "relatedToNode":"eiid2926", "eventInstance":"eiid2923"},{"id":"lid135", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2932", "eventInstance":"eiid2903"},{"id":"lid136", "linkTag":"SLINK", "syntax": "", "temporalRelation":"MODAL", "signal":{}, "relatedToNode":"eiid2842", "eventInstance":"eiid2841"},{"id":"lid137", "linkTag":"ALINK", "syntax": "", "temporalRelation":"TERMINATES", "signal":{}, "relatedToNode":"eiid2854", "eventInstance":"eiid2853"},{"id":"lid138", "linkTag":"ALINK", "syntax": "", "temporalRelation":"CONTINUES", "signal":{}, "relatedToNode":"eiid2866", "eventInstance":"eiid2868"},{"id":"lid139", "linkTag":"ALINK", "syntax": "", "temporalRelation":"CONTINUES", "signal":{}, "relatedToNode":"eiid2883", "eventInstance":"eiid2884"}],"events":[{"id":"e1", "eventClass":"I_ACTION", "stem":"announcement"},{"id":"e2", "eventClass":"STATE", "stem":"loss"},{"id":"e212", "eventClass":"OCCURRENCE", "stem":"moving"},{"id":"e5", "eventClass":"I_STATE", "stem":"expected"},{"id":"e7", "eventClass":"OCCURRENCE", "stem":"take"},{"id":"e2065", "eventClass":"OCCURRENCE", "stem":"write-offs"},{"id":"e9", "eventClass":"I_ACTION", "stem":"prepare"},{"id":"e213", "eventClass":"OCCURRENCE", "stem":"turnaround"},{"id":"e11", "eventClass":"STATE", "stem":"loss"},{"id":"e13", "eventClass":"OCCURRENCE", "stem":"orders"},{"id":"e14", "eventClass":"OCCURRENCE", "stem":"made"},{"id":"e16", "eventClass":"I_STATE", "stem":"wonder"},{"id":"e216", "eventClass":"STATE", "stem":"strong"},{"id":"e17", "eventClass":"I_STATE", "stem":"getting"},{"id":"e18", "eventClass":"STATE", "stem":"clobbered"},{"id":"e20", "eventClass":"REPORTING", "stem":"said"},{"id":"e2785", "eventClass":"STATE", "stem":"high"},{"id":"e22", "eventClass":"OCCURRENCE", "stem":"inched"},{"id":"e2786", "eventClass":"STATE", "stem":"$2.35"},{"id":"e2787", "eventClass":"STATE", "stem":"$2.27"},{"id":"e226", "eventClass":"STATE", "stem":"had"},{"id":"e23", "eventClass":"STATE", "stem":"loss"},{"id":"e24", "eventClass":"OCCURRENCE", "stem":"took"},{"id":"e227", "eventClass":"OCCURRENCE", "stem":"charge"},{"id":"e26", "eventClass":"OCCURRENCE", "stem":"layoffs"},{"id":"e28", "eventClass":"REPORTING", "stem":"said"},{"id":"e29", "eventClass":"STATE", "stem":"laid"},{"id":"e31", "eventClass":"REPORTING", "stem":"said"},{"id":"e32", "eventClass":"I_STATE", "stem":"help"},{"id":"e34", "eventClass":"OCCURRENCE", "stem":"save"},{"id":"e230", "eventClass":"REPORTING", "stem":"reported"},{"id":"e37", "eventClass":"OCCURRENCE", "stem":"took"},{"id":"e38", "eventClass":"OCCURRENCE", "stem":"write-off"},{"id":"e40", "eventClass":"OCCURRENCE", "stem":"cover"},{"id":"e229", "eventClass":"STATE", "stem":"losses"},{"id":"e43", "eventClass":"OCCURRENCE", "stem":"took"},{"id":"e44", "eventClass":"OCCURRENCE", "stem":"look"},{"id":"e45", "eventClass":"OCCURRENCE", "stem":"business"},{"id":"e47", "eventClass":"OCCURRENCE", "stem":"set"},{"id":"e49", "eventClass":"OCCURRENCE", "stem":"cover"},{"id":"e52", "eventClass":"OCCURRENCE", "stem":"pay"},{"id":"e53", "eventClass":"OCCURRENCE", "stem":"involvement"},{"id":"e54", "eventClass":"OCCURRENCE", "stem":"scandal"},{"id":"e56", "eventClass":"REPORTING", "stem":"noted"},{"id":"e57", "eventClass":"OCCURRENCE", "stem":"paid"},{"id":"e63", "eventClass":"OCCURRENCE", "stem":"payments"},{"id":"e64", "eventClass":"OCCURRENCE", "stem":"leave"},{"id":"e67", "eventClass":"ASPECTUAL", "stem":"cut"},{"id":"e68", "eventClass":"OCCURRENCE", "stem":"payments"},{"id":"e70", "eventClass":"REPORTING", "stem":"said"},{"id":"e2328", "eventClass":"OCCURRENCE", "stem":"reduced"},{"id":"e73", "eventClass":"OCCURRENCE", "stem":"leaving"},{"id":"e240", "eventClass":"I_STATE", "stem":"goal"},{"id":"e241", "eventClass":"STATE", "stem":"reduction"},{"id":"e76", "eventClass":"REPORTING", "stem":"said"},{"id":"e244", "eventClass":"STATE", "stem":"weak"},{"id":"e80", "eventClass":"I_STATE", "stem":"relied"},{"id":"e84", "eventClass":"I_ACTION", "stem":"overcome"},{"id":"e247", "eventClass":"STATE", "stem":"weakness"},{"id":"e85", "eventClass":"REPORTING", "stem":"reported"},{"id":"e250", "eventClass":"STATE", "stem":"growth"},{"id":"e2410", "eventClass":"STATE", "stem":"problem"},{"id":"e2409", "eventClass":"ASPECTUAL", "stem":"continue"},{"id":"e2405", "eventClass":"OCCURRENCE", "stem":"betting"},{"id":"e2406", "eventClass":"I_STATE", "stem":"assumption"},{"id":"e2407", "eventClass":"I_STATE", "stem":"want"},{"id":"e2408", "eventClass":"OCCURRENCE", "stem":"move"},{"id":"e105", "eventClass":"I_ACTION", "stem":"deal"},{"id":"e253", "eventClass":"STATE", "stem":"load"},{"id":"e107", "eventClass":"OCCURRENCE", "stem":"risen"},{"id":"e2788", "eventClass":"STATE", "stem":"$4"},{"id":"e110", "eventClass":"OCCURRENCE", "stem":"pay"},{"id":"e115", "eventClass":"REPORTING", "stem":"said"},{"id":"e116", "eventClass":"OCCURRENCE", "stem":"approaching"},{"id":"e118", "eventClass":"REPORTING", "stem":"said"},{"id":"e1991", "eventClass":"STATE", "stem":"suspect"},{"id":"e124", "eventClass":"REPORTING", "stem":"said"},{"id":"e126", "eventClass":"OCCURRENCE", "stem":"flaring"},{"id":"e128", "eventClass":"ASPECTUAL", "stem":"continue"},{"id":"e129", "eventClass":"REPORTING", "stem":"said"},{"id":"e1992", "eventClass":"OCCURRENCE", "stem":"move"},{"id":"e1993", "eventClass":"OCCURRENCE", "stem":"locked"},{"id":"e138", "eventClass":"REPORTING", "stem":"said"},{"id":"e139", "eventClass":"OCCURRENCE", "stem":"overhauling"},{"id":"e141", "eventClass":"I_STATE", "stem":"needs"},{"id":"e143", "eventClass":"OCCURRENCE", "stem":"prepare"},{"id":"e1995", "eventClass":"STATE", "stem":"lower"},{"id":"e145", "eventClass":"OCCURRENCE", "stem":"used"},{"id":"e146", "eventClass":"OCCURRENCE", "stem":"approached"},{"id":"e152", "eventClass":"REPORTING", "stem":"said"},{"id":"e1997", "eventClass":"STATE", "stem":"business"},{"id":"e1996", "eventClass":"I_STATE", "stem":"confident"},{"id":"e157", "eventClass":"STATE", "stem":"have"},{"id":"e158", "eventClass":"I_STATE", "stem":"minimize"},{"id":"e160", "eventClass":"OCCURRENCE", "stem":"challenges"},{"id":"e1999", "eventClass":"STATE", "stem":"cautious"},{"id":"e162", "eventClass":"OCCURRENCE", "stem":"burned"},{"id":"e163", "eventClass":"I_ACTION", "stem":"predicted"},{"id":"e2784", "eventClass":"OCCURRENCE", "stem":"earnings"},{"id":"e2789", "eventClass":"STATE", "stem":"$4"},{"id":"e2790", "eventClass":"STATE", "stem":"$3.27"},{"id":"e165", "eventClass":"REPORTING", "stem":"said"},{"id":"e166", "eventClass":"OCCURRENCE", "stem":"had"},{"id":"e2010", "eventClass":"STATE", "stem":"losses"},{"id":"e2015", "eventClass":"STATE", "stem":"earnings"},{"id":"e169", "eventClass":"OCCURRENCE", "stem":"inched"},{"id":"e2791", "eventClass":"STATE", "stem":"$7.13"},{"id":"e2792", "eventClass":"STATE", "stem":"$7.03"},{"id":"e170", "eventClass":"I_STATE", "stem":"expected"},{"id":"e172", "eventClass":"OCCURRENCE", "stem":"do"},{"id":"e174", "eventClass":"REPORTING", "stem":"said"},{"id":"e175", "eventClass":"OCCURRENCE", "stem":"cutting"},{"id":"e2710", "eventClass":"STATE", "stem":"earnings"},{"id":"e2709", "eventClass":"I_STATE", "stem":"estimate"},{"id":"e2793", "eventClass":"STATE", "stem":"$2"},{"id":"e2027", "eventClass":"STATE", "stem":"$3"},{"id":"e180", "eventClass":"REPORTING", "stem":"said"},{"id":"e181", "eventClass":"STATE", "stem":"remain"},{"id":"e182", "eventClass":"REPORTING", "stem":"said"},{"id":"e183", "eventClass":"I_STATE", "stem":"wonders"},{"id":"e2794", "eventClass":"STATE", "stem":"at"},{"id":"e2032", "eventClass":"STATE", "stem":"lower"},{"id":"e2795", "eventClass":"STATE", "stem":"low"},{"id":"e187", "eventClass":"I_ACTION", "stem":"asked"},{"id":"e2035", "eventClass":"STATE", "stem":"concern"},{"id":"e189", "eventClass":"OCCURRENCE", "stem":"fell"},{"id":"e2036", "eventClass":"STATE", "stem":"$16.25"}],"signals":[{"id": "sid210", "signalString": "for"},{"id": "sid2134", "signalString": "in"},{"id": "sid231", "signalString": "previously"},{"id": "sid234", "signalString": "during"},{"id": "sid236", "signalString": "in"},{"id": "sid238", "signalString": "during"},{"id": "sid242", "signalString": "by"},{"id": "sid245", "signalString": "during"},{"id": "sid248", "signalString": "over"},{"id": "sid2412", "signalString": "if"},{"id": "sid258", "signalString": "through"},{"id": "sid2619", "signalString": "repeatedly"},{"id": "sid2011", "signalString": "through"},{"id": "sid2014", "signalString": "earlier"},{"id": "sid2020", "signalString": "in"},{"id": "sid2023", "signalString": "for"},{"id": "sid2025", "signalString": "from"},{"id": "sid2028", "signalString": "for"},{"id": "sid2033", "signalString": "for"}],"partitions":[{"nodeIds":["t208","eiid2942","eiid2915","eiid2883","eiid2884","t259","eiid2806","eiid2833","eiid2933","t209","eiid2821","eiid2837","eiid2838","eiid2841","eiid2842","eiid2844","eiid2849","eiid2855","eiid2860","eiid2865","eiid2869","eiid2870","eiid2867","eiid2868","eiid2866","eiid2873","eiid2875","eiid2936","eiid2877","t256","eiid2882","eiid2880","eiid2878","eiid2885","eiid2888","eiid2895","eiid2913","eiid2921","eiid2928","eiid2923"],"linkIds":["lid156","lid155","lid150","lid139","lid57","lid8","lid146","lid143","lid2","lid13","lid25","lid24","lid27","lid26","lid28","lid32","lid37","lid43","lid47","lid49","lid50","lid51","lid48","lid138","lid52","lid53","lid149","lid54","lid55","lid59","lid58","lid56","lid60","lid62","lid68","lid78","lid82","lid158","lid84"],"timeline":[{"id":"eiid2849","eventBoundary":"-","position":"1"},{"id":"t256","eventBoundary":"-","position":"1"},{"id":"eiid2873","eventBoundary":"-","position":"1"},{"id":"eiid2915","eventBoundary":"-","position":"1"},{"id":"eiid2875","eventBoundary":"-","position":"1"},{"id":"eiid2933","eventBoundary":"-","position":"1"},{"id":"eiid2878","eventBoundary":"-","position":"1"},{"id":"eiid2923","eventBoundary":"-","position":"1"},{"id":"t209","eventBoundary":"-","position":"1"},{"id":"eiid2842","eventBoundary":"-","position":"1"},{"id":"eiid2913","eventBoundary":"-","position":"1"},{"id":"eiid2821","eventBoundary":"-","position":"1"},{"id":"eiid2866","eventBoundary":"-","position":"1"},{"id":"eiid2865","eventBoundary":"-","position":"1"},{"id":"eiid2880","eventBoundary":"-","position":"1"},{"id":"eiid2885","eventBoundary":"-","position":"1"},{"id":"eiid2921","eventBoundary":"-","position":"1"},{"id":"eiid2882","eventBoundary":"-","position":"1"},{"id":"eiid2895","eventBoundary":"-","position":"1"},{"id":"eiid2869","eventBoundary":"-","position":"1"},{"id":"eiid2888","eventBoundary":"-","position":"1"},{"id":"eiid2860","eventBoundary":"-","position":"1"},{"id":"eiid2855","eventBoundary":"-","position":"1"},{"id":"eiid2841","eventBoundary":"-","position":"1"},{"id":"eiid2870","eventBoundary":"-","position":"1"},{"id":"eiid2928","eventBoundary":"-","position":"1"},{"id":"t208","eventBoundary":"+","position":"10"},{"id":"eiid2913","eventBoundary":"+","position":"11"},{"id":"eiid2873","eventBoundary":"+","position":"11"},{"id":"eiid2869","eventBoundary":"+","position":"11"},{"id":"eiid2870","eventBoundary":"+","position":"11"},{"id":"eiid2867","eventBoundary":"-","position":"12"},{"id":"eiid2867","eventBoundary":"+","position":"13"},{"id":"eiid2868","eventBoundary":"-","position":"2"},{"id":"eiid2821","eventBoundary":"+","position":"2"},{"id":"eiid2875","eventBoundary":"+","position":"2"},{"id":"eiid2842","eventBoundary":"+","position":"2"},{"id":"eiid2933","eventBoundary":"+","position":"2"},{"id":"eiid2849","eventBoundary":"+","position":"2"},{"id":"eiid2878","eventBoundary":"+","position":"2"},{"id":"eiid2923","eventBoundary":"+","position":"2"},{"id":"eiid2915","eventBoundary":"+","position":"2"},{"id":"eiid2928","eventBoundary":"+","position":"2"},{"id":"eiid2865","eventBoundary":"+","position":"2"},{"id":"eiid2895","eventBoundary":"+","position":"2"},{"id":"eiid2855","eventBoundary":"+","position":"2"},{"id":"eiid2880","eventBoundary":"+","position":"2"},{"id":"eiid2860","eventBoundary":"+","position":"2"},{"id":"eiid2841","eventBoundary":"+","position":"2"},{"id":"eiid2921","eventBoundary":"+","position":"2"},{"id":"eiid2882","eventBoundary":"+","position":"2"},{"id":"eiid2888","eventBoundary":"+","position":"2"},{"id":"eiid2885","eventBoundary":"+","position":"2"},{"id":"eiid2806","eventBoundary":"-","position":"3"},{"id":"eiid2936","eventBoundary":"-","position":"3"},{"id":"eiid2877","eventBoundary":"-","position":"3"},{"id":"eiid2868","eventBoundary":"+","position":"3"},{"id":"eiid2833","eventBoundary":"-","position":"3"},{"id":"eiid2806","eventBoundary":"+","position":"4"},{"id":"eiid2936","eventBoundary":"+","position":"4"},{"id":"eiid2866","eventBoundary":"+","position":"4"},{"id":"eiid2877","eventBoundary":"+","position":"4"},{"id":"eiid2833","eventBoundary":"+","position":"4"},{"id":"t209","eventBoundary":"+","position":"5"},{"id":"t208","eventBoundary":"-","position":"5"},{"id":"t256","eventBoundary":"+","position":"5"},{"id":"eiid2838","eventBoundary":"-","position":"6"},{"id":"eiid2883","eventBoundary":"-","position":"6"},{"id":"eiid2942","eventBoundary":"-","position":"6"},{"id":"eiid2844","eventBoundary":"-","position":"6"},{"id":"eiid2837","eventBoundary":"-","position":"6"},{"id":"eiid2942","eventBoundary":"+","position":"7"},{"id":"t259","eventBoundary":"-","position":"7"},{"id":"eiid2838","eventBoundary":"+","position":"7"},{"id":"eiid2844","eventBoundary":"+","position":"7"},{"id":"eiid2884","eventBoundary":"-","position":"7"},{"id":"eiid2837","eventBoundary":"+","position":"7"},{"id":"t259","eventBoundary":"+","position":"8"},{"id":"eiid2884","eventBoundary":"+","position":"8"},{"id":"eiid2883","eventBoundary":"+","position":"9"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2849","timePoint1":"-","id2":"t256","timePoint2":"-"},{"id1":"t256","timePoint1":"-","id2":"eiid2873","timePoint2":"-"},{"id1":"eiid2873","timePoint1":"-","id2":"eiid2915","timePoint2":"-"},{"id1":"eiid2915","timePoint1":"-","id2":"eiid2875","timePoint2":"-"},{"id1":"eiid2875","timePoint1":"-","id2":"eiid2933","timePoint2":"-"},{"id1":"eiid2933","timePoint1":"-","id2":"eiid2878","timePoint2":"-"},{"id1":"eiid2878","timePoint1":"-","id2":"t209","timePoint2":"-"},{"id1":"t209","timePoint1":"-","id2":"eiid2923","timePoint2":"-"},{"id1":"eiid2923","timePoint1":"-","id2":"eiid2842","timePoint2":"-"},{"id1":"eiid2842","timePoint1":"-","id2":"eiid2913","timePoint2":"-"},{"id1":"eiid2913","timePoint1":"-","id2":"eiid2821","timePoint2":"-"},{"id1":"eiid2821","timePoint1":"-","id2":"eiid2866","timePoint2":"-"},{"id1":"eiid2866","timePoint1":"-","id2":"eiid2865","timePoint2":"-"},{"id1":"eiid2865","timePoint1":"-","id2":"eiid2880","timePoint2":"-"},{"id1":"eiid2885","timePoint1":"-","id2":"eiid2921","timePoint2":"-"},{"id1":"eiid2921","timePoint1":"-","id2":"eiid2882","timePoint2":"-"},{"id1":"eiid2895","timePoint1":"-","id2":"eiid2869","timePoint2":"-"},{"id1":"eiid2869","timePoint1":"-","id2":"eiid2888","timePoint2":"-"},{"id1":"eiid2888","timePoint1":"-","id2":"eiid2860","timePoint2":"-"},{"id1":"eiid2855","timePoint1":"-","id2":"eiid2841","timePoint2":"-"},{"id1":"eiid2841","timePoint1":"-","id2":"eiid2870","timePoint2":"-"},{"id1":"eiid2870","timePoint1":"-","id2":"eiid2928","timePoint2":"-"},{"id1":"eiid2928","timePoint1":"-","id2":"t208","timePoint2":"+"},{"id1":"t208","timePoint1":"+","id2":"eiid2913","timePoint2":"+"},{"id1":"eiid2913","timePoint1":"+","id2":"eiid2873","timePoint2":"+"},{"id1":"eiid2870","timePoint1":"+","id2":"eiid2867","timePoint2":"-"},{"id1":"eiid2867","timePoint1":"-","id2":"eiid2867","timePoint2":"+"},{"id1":"eiid2867","timePoint1":"+","id2":"eiid2868","timePoint2":"-"},{"id1":"eiid2868","timePoint1":"-","id2":"eiid2821","timePoint2":"+"},{"id1":"eiid2821","timePoint1":"+","id2":"eiid2875","timePoint2":"+"},{"id1":"eiid2875","timePoint1":"+","id2":"eiid2842","timePoint2":"+"},{"id1":"eiid2842","timePoint1":"+","id2":"eiid2933","timePoint2":"+"},{"id1":"eiid2933","timePoint1":"+","id2":"eiid2849","timePoint2":"+"},{"id1":"eiid2849","timePoint1":"+","id2":"eiid2878","timePoint2":"+"},{"id1":"eiid2878","timePoint1":"+","id2":"eiid2923","timePoint2":"+"},{"id1":"eiid2923","timePoint1":"+","id2":"eiid2915","timePoint2":"+"},{"id1":"eiid2915","timePoint1":"+","id2":"eiid2928","timePoint2":"+"},{"id1":"eiid2928","timePoint1":"+","id2":"eiid2865","timePoint2":"+"},{"id1":"eiid2865","timePoint1":"+","id2":"eiid2895","timePoint2":"+"},{"id1":"eiid2895","timePoint1":"+","id2":"eiid2855","timePoint2":"+"},{"id1":"eiid2855","timePoint1":"+","id2":"eiid2880","timePoint2":"+"},{"id1":"eiid2880","timePoint1":"+","id2":"eiid2860","timePoint2":"+"},{"id1":"eiid2860","timePoint1":"+","id2":"eiid2841","timePoint2":"+"},{"id1":"eiid2841","timePoint1":"+","id2":"eiid2921","timePoint2":"+"},{"id1":"eiid2921","timePoint1":"+","id2":"eiid2882","timePoint2":"+"},{"id1":"eiid2885","timePoint1":"+","id2":"eiid2806","timePoint2":"-"},{"id1":"eiid2806","timePoint1":"-","id2":"eiid2936","timePoint2":"-"},{"id1":"eiid2936","timePoint1":"-","id2":"eiid2877","timePoint2":"-"},{"id1":"eiid2877","timePoint1":"-","id2":"eiid2868","timePoint2":"+"},{"id1":"eiid2868","timePoint1":"+","id2":"eiid2833","timePoint2":"-"},{"id1":"eiid2833","timePoint1":"-","id2":"eiid2806","timePoint2":"+"},{"id1":"eiid2806","timePoint1":"+","id2":"eiid2936","timePoint2":"+"},{"id1":"eiid2936","timePoint1":"+","id2":"eiid2866","timePoint2":"+"},{"id1":"eiid2866","timePoint1":"+","id2":"eiid2877","timePoint2":"+"},{"id1":"eiid2877","timePoint1":"+","id2":"eiid2833","timePoint2":"+"},{"id1":"eiid2833","timePoint1":"+","id2":"t209","timePoint2":"+"},{"id1":"t209","timePoint1":"+","id2":"t208","timePoint2":"-"},{"id1":"t208","timePoint1":"-","id2":"t256","timePoint2":"+"},{"id1":"t256","timePoint1":"+","id2":"eiid2838","timePoint2":"-"},{"id1":"eiid2838","timePoint1":"-","id2":"eiid2883","timePoint2":"-"},{"id1":"eiid2883","timePoint1":"-","id2":"eiid2942","timePoint2":"-"},{"id1":"eiid2942","timePoint1":"-","id2":"eiid2844","timePoint2":"-"},{"id1":"eiid2837","timePoint1":"-","id2":"eiid2942","timePoint2":"+"},{"id1":"eiid2942","timePoint1":"+","id2":"t259","timePoint2":"-"},{"id1":"t259","timePoint1":"-","id2":"eiid2838","timePoint2":"+"},{"id1":"eiid2844","timePoint1":"+","id2":"eiid2884","timePoint2":"-"},{"id1":"eiid2884","timePoint1":"-","id2":"eiid2837","timePoint2":"+"},{"id1":"eiid2837","timePoint1":"+","id2":"t259","timePoint2":"+"},{"id1":"t259","timePoint1":"+","id2":"eiid2884","timePoint2":"+"}]},{"nodeIds":["t211","eiid2807","eiid2808","eiid2809"],"linkIds":["lid3","lid4","lid5"],"timeline":[{"id":"eiid2809","eventBoundary":"-","position":"1"},{"id":"eiid2809","eventBoundary":"+","position":"2"},{"id":"eiid2808","eventBoundary":"-","position":"3"},{"id":"eiid2808","eventBoundary":"+","position":"4"},{"id":"t211","eventBoundary":"-","position":"5"},{"id":"eiid2807","eventBoundary":"-","position":"5"},{"id":"t211","eventBoundary":"+","position":"6"},{"id":"eiid2807","eventBoundary":"+","position":"6"}],"isConsistent":true,"indeterminantTimePairs":[]}]}
""")
        jtlex = json.loads("""{"nodes":[{"id":"eiid2906", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e165", "eventClass":"REPORTING"}},{"id":"eiid2943", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2795", "eventClass":"STATE"}},{"id":"eiid2937", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2789", "eventClass":"STATE"}},{"id":"eiid2829", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e227", "eventClass":"OCCURRENCE"}},{"id":"eiid2865", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e85", "eventClass":"REPORTING"}},{"id":"eiid2821", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e20", "eventClass":"REPORTING"}},{"id":"eiid2923", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e182", "eventClass":"REPORTING"}},{"id":"eiid2849", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e56", "eventClass":"REPORTING"}},{"id":"eiid2908", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2010", "eventClass":"STATE"}},{"id":"eiid2902", "tense":"PASTPART", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"plural", "signal":{}, "event":{"id":"e162", "eventClass":"OCCURRENCE"}},{"id":"t228", "type":"DATE", "value":"1989-09 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2901", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1999", "eventClass":"STATE"}},{"id":"eiid2847", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e53", "eventClass":"OCCURRENCE"}},{"id":"eiid2853", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e67", "eventClass":"ASPECTUAL"}},{"id":"t2021", "type":"DATE", "value":"1989-Q4 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2868", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2409", "eventClass":"ASPECTUAL"}},{"id":"eiid2909", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2015", "eventClass":"STATE"}},{"id":"t225", "type":"DATE", "value":"1988-Q3 ", "temporalFunction":"true", "anchorID":"t211", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2930", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e189", "eventClass":"OCCURRENCE"}},{"id":"eiid2897", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1996", "eventClass":"I_STATE"}},{"id":"eiid2848", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e54", "eventClass":"OCCURRENCE"}},{"id":"eiid2808", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e212", "eventClass":"OCCURRENCE"}},{"id":"eiid2819", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e17", "eventClass":"I_STATE"}},{"id":"eiid2835", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e34", "eventClass":"OCCURRENCE"}},{"id":"t2009", "type":"DATE", "value":"1989-10-27 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2880", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e118", "eventClass":"REPORTING"}},{"id":"eiid2893", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e145", "eventClass":"OCCURRENCE"}},{"id":"eiid2931", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2036", "eventClass":"STATE"}},{"id":"t2012", "type":"DURATION", "value":"P9M ", "temporalFunction":"true", "anchorID":"t0", "beginPoint":"t0", "endPoint":"t208", "quantity":"null", "frequency":"null"},{"id":"eiid2926", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2032", "eventClass":"STATE"}},{"id":"t208", "type":"DATE", "value":"1989-10-30 ", "temporalFunction":"false", "anchorID":"t0", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2850", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e57", "eventClass":"OCCURRENCE"}},{"id":"eiid2852", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e64", "eventClass":"OCCURRENCE"}},{"id":"eiid2820", "tense":"PASTPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e18", "eventClass":"STATE"}},{"id":"eiid2872", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2408", "eventClass":"OCCURRENCE"}},{"id":"eiid2837", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e37", "eventClass":"OCCURRENCE"}},{"id":"t2034", "type":"DATE", "value":"1990 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2936", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2788", "eventClass":"STATE"}},{"id":"eiid2826", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e226", "eventClass":"STATE"}},{"id":"eiid2816", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e14", "eventClass":"OCCURRENCE"}},{"id":"eiid2869", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2405", "eventClass":"OCCURRENCE"}},{"id":"eiid2838", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e38", "eventClass":"OCCURRENCE"}},{"id":"t243", "type":"DATE", "value":"1989 ", "mod":"END", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2823", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e22", "eventClass":"OCCURRENCE"}},{"id":"eiid2830", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e26", "eventClass":"OCCURRENCE"}},{"id":"eiid2879", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e116", "eventClass":"OCCURRENCE"}},{"id":"eiid2884", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e128", "eventClass":"ASPECTUAL"}},{"id":"eiid2932", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2784", "eventClass":"OCCURRENCE"}},{"id":"eiid2827", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e23", "eventClass":"STATE"}},{"id":"eiid2843", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"none", "cardinality":"null", "signal":{}, "event":{"id":"e45", "eventClass":"OCCURRENCE"}},{"id":"eiid2910", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e169", "eventClass":"OCCURRENCE"}},{"id":"eiid2887", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"NEG", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1993", "eventClass":"OCCURRENCE"}},{"id":"eiid2851", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e63", "eventClass":"OCCURRENCE"}},{"id":"eiid2907", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e166", "eventClass":"OCCURRENCE"}},{"id":"t259", "type":"DATE", "value":"1990 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2817", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e16", "eventClass":"I_STATE"}},{"id":"eiid2877", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"must", "cardinality":"every", "signal":{}, "event":{"id":"e110", "eventClass":"OCCURRENCE"}},{"id":"eiid2890", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e141", "eventClass":"I_STATE"}},{"id":"t2135", "type":"DATE", "value":"1989-Q3 ", "temporalFunction":"true", "anchorID":"t211", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2891", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e143", "eventClass":"OCCURRENCE"}},{"id":"eiid2866", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e250", "eventClass":"STATE"}},{"id":"t2008", "type":"DATE", "value":"1988 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"t2029", "type":"DATE", "value":"1990 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2883", "tense":"PRESPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e126", "eventClass":"OCCURRENCE"}},{"id":"eiid2913", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e170", "eventClass":"I_STATE"}},{"id":"t237", "type":"DATE", "value":"FUTURE_REF ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2855", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e70", "eventClass":"REPORTING"}},{"id":"t249", "type":"DATE", "value":"PAST_REF ", "temporalFunction":"false", "anchorID":"t0", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2915", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e174", "eventClass":"REPORTING"}},{"id":"eiid2920", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2027", "eventClass":"STATE"}},{"id":"eiid2896", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1997", "eventClass":"STATE"}},{"id":"eiid2939", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2791", "eventClass":"STATE"}},{"id":"t1998", "type":"DATE", "value":"FUTURE_REF ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2875", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e107", "eventClass":"OCCURRENCE"}},{"id":"t256", "type":"SET", "value":"P1Q ", "temporalFunction":"false", "anchorID":"t0", "beginPoint":"t0", "endPoint":"t0", "quantity":"every ", "frequency":"null"},{"id":"eiid2894", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e146", "eventClass":"OCCURRENCE"}},{"id":"eiid2828", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e24", "eventClass":"OCCURRENCE"}},{"id":"eiid2871", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2407", "eventClass":"I_STATE"}},{"id":"t209", "type":"DATE", "value":"1989-10-27 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2857", "tense":"PRESPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e73", "eventClass":"OCCURRENCE"}},{"id":"eiid2938", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2790", "eventClass":"STATE"}},{"id":"eiid2806", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1", "eventClass":"I_ACTION"}},{"id":"eiid2845", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e49", "eventClass":"OCCURRENCE"}},{"id":"eiid2892", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1995", "eventClass":"STATE"}},{"id":"eiid2814", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e11", "eventClass":"STATE"}},{"id":"eiid2813", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e213", "eventClass":"OCCURRENCE"}},{"id":"t235", "type":"DATE", "value":"1989-Q3 ", "temporalFunction":"true", "anchorID":"t211", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2846", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"hav", "cardinality":"null", "signal":{}, "event":{"id":"e52", "eventClass":"OCCURRENCE"}},{"id":"eiid2917", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2710", "eventClass":"STATE"}},{"id":"eiid2921", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e180", "eventClass":"REPORTING"}},{"id":"eiid2881", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1991", "eventClass":"STATE"}},{"id":"eiid2914", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e172", "eventClass":"OCCURRENCE"}},{"id":"eiid2878", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e115", "eventClass":"REPORTING"}},{"id":"eiid2815", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e13", "eventClass":"OCCURRENCE"}},{"id":"eiid2940", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2792", "eventClass":"STATE"}},{"id":"eiid2859", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e241", "eventClass":"STATE"}},{"id":"eiid2900", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e160", "eventClass":"OCCURRENCE"}},{"id":"eiid2810", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e7", "eventClass":"OCCURRENCE"}},{"id":"eiid2934", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2786", "eventClass":"STATE"}},{"id":"eiid2861", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e244", "eventClass":"STATE"}},{"id":"eiid2834", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"should", "cardinality":"null", "signal":{}, "event":{"id":"e32", "eventClass":"I_STATE"}},{"id":"eiid2886", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e1992", "eventClass":"OCCURRENCE"}},{"id":"eiid2854", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e68", "eventClass":"OCCURRENCE"}},{"id":"eiid2842", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e44", "eventClass":"OCCURRENCE"}},{"id":"eiid2863", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e84", "eventClass":"I_ACTION"}},{"id":"eiid2935", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2787", "eventClass":"STATE"}},{"id":"eiid2818", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e216", "eventClass":"STATE"}},{"id":"eiid2899", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"NEG", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e158", "eventClass":"I_STATE"}},{"id":"eiid2841", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e43", "eventClass":"OCCURRENCE"}},{"id":"eiid2862", "tense":"PRESENT", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e80", "eventClass":"I_STATE"}},{"id":"t239", "type":"DATE", "value":"1989-Q3 ", "temporalFunction":"true", "anchorID":"t211", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2860", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e76", "eventClass":"REPORTING"}},{"id":"eiid2922", "tense":"FUTURE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e181", "eventClass":"STATE"}},{"id":"eiid2924", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e183", "eventClass":"I_STATE"}},{"id":"eiid2832", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"would", "cardinality":"null", "signal":{}, "event":{"id":"e29", "eventClass":"STATE"}},{"id":"eiid2898", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e157", "eventClass":"STATE"}},{"id":"t2013", "type":"DATE", "value":"1988 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2918", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2709", "eventClass":"I_STATE"}},{"id":"eiid2888", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e138", "eventClass":"REPORTING"}},{"id":"eiid2870", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2406", "eventClass":"I_STATE"}},{"id":"eiid2809", "tense":"PASTPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e5", "eventClass":"I_STATE"}},{"id":"eiid2874", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e253", "eventClass":"STATE"}},{"id":"eiid2942", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"PREPOSITION", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2794", "eventClass":"STATE"}},{"id":"eiid2882", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e124", "eventClass":"REPORTING"}},{"id":"t214", "type":"DATE", "value":"1990 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2811", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2065", "eventClass":"OCCURRENCE"}},{"id":"eiid2840", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e229", "eventClass":"STATE"}},{"id":"eiid2867", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"would", "cardinality":"null", "signal":{}, "event":{"id":"e2410", "eventClass":"STATE"}},{"id":"eiid2858", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e240", "eventClass":"I_STATE"}},{"id":"t211", "type":"DATE", "value":"1989-Q3 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2928", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e187", "eventClass":"I_ACTION"}},{"id":"eiid2889", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e139", "eventClass":"OCCURRENCE"}},{"id":"eiid2941", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"OTHER", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2793", "eventClass":"STATE"}},{"id":"eiid2903", "tense":"PAST", "aspect":"PERFECTIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e163", "eventClass":"I_ACTION"}},{"id":"eiid2873", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"must", "cardinality":"null", "signal":{}, "event":{"id":"e105", "eventClass":"I_ACTION"}},{"id":"eiid2831", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e28", "eventClass":"REPORTING"}},{"id":"eiid2844", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e47", "eventClass":"OCCURRENCE"}},{"id":"t2003", "type":"DATE", "value":"1989 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2833", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e31", "eventClass":"REPORTING"}},{"id":"eiid2807", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2", "eventClass":"STATE"}},{"id":"eiid2812", "tense":"PRESENT", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e9", "eventClass":"I_ACTION"}},{"id":"t2038", "type":"DATE", "value":"1989-10-27 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2933", "tense":"PAST", "aspect":"PERFECTIVE", "partOfSpeech":"ADJECTIVE", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2785", "eventClass":"STATE"}},{"id":"eiid2885", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e129", "eventClass":"REPORTING"}},{"id":"t2000", "type":"DATE", "value":"1989 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2856", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2328", "eventClass":"OCCURRENCE"}},{"id":"eiid2839", "tense":"INFINITIVE", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e40", "eventClass":"OCCURRENCE"}},{"id":"t246", "type":"DATE", "value":"1989-Q3 ", "temporalFunction":"true", "anchorID":"t211", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2929", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e2035", "eventClass":"STATE"}},{"id":"eiid2864", "tense":"NONE", "aspect":"NONE", "partOfSpeech":"NOUN", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e247", "eventClass":"STATE"}},{"id":"eiid2916", "tense":"PRESENT", "aspect":"PROGRESSIVE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e175", "eventClass":"OCCURRENCE"}},{"id":"t2022", "type":"DATE", "value":"1990 ", "temporalFunction":"true", "anchorID":"t208", "beginPoint":"t0", "endPoint":"t0", "quantity":"null", "frequency":"null"},{"id":"eiid2895", "tense":"PAST", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e152", "eventClass":"REPORTING"}},{"id":"eiid2836", "tense":"PASTPART", "aspect":"NONE", "partOfSpeech":"VERB", "polarity":"POS", "modality":"null", "cardinality":"null", "signal":{}, "event":{"id":"e230", "eventClass":"REPORTING"}}],"links":[{"id":"lid34", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2852", "eventInstance": "eiid2851"},{"id":"lid35", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2853", "eventInstance": "eiid2851"},{"id":"lid4", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2807", "eventInstance": "eiid2808"},{"id":"lid60", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2882", "eventInstance": "eiid2885"},{"id":"lid5", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2808", "eventInstance": "eiid2809"},{"id":"lid43", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2855", "eventInstance": "eiid2860"},{"id":"lid144", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2823", "eventInstance": "eiid2934"},{"id":"lid157", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2034", "eventInstance": "eiid2943"},{"id":"lid155", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2915"},{"id":"lid73", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2901", "eventInstance": "eiid2903"},{"id":"lid77", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":"sid2014", "relatedToNode":"eiid2908", "eventInstance": "eiid2909"},{"id":"lid75", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2908", "eventInstance": "eiid2907"},{"id":"lid57", "linkTag":"TLINK", "syntax":"", "temporalRelation":"DURING", "signal":"sid258", "relatedToNode":"t259", "eventInstance": "eiid2884"},{"id":"lid72", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid2619", "relatedToNode":"t2000", "eventInstance": "eiid2902"},{"id":"lid50", "linkTag":"TLINK", "syntax":"", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2869", "eventInstance": "eiid2870"},{"id":"lid67", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2893", "eventInstance": "eiid2892"},{"id":"lid9", "linkTag":"TLINK", "syntax":"", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2815", "eventInstance": "eiid2814"},{"id":"lid87", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2930", "eventInstance": "eiid2929"},{"id":"lid2", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t209", "eventInstance": "eiid2806"},{"id":"lid139", "linkTag":"ALINK", "syntax":"", "temporalRelation":"CONTINUES", "signal":{}, "relatedToNode":"eiid2883", "eventInstance": "eiid2884"},{"id":"lid147", "linkTag":"TLINK", "syntax":"", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"eiid2840", "eventInstance": "eiid2843"},{"id":"lid22", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":"sid231", "relatedToNode":"eiid2836", "eventInstance": "eiid2835"},{"id":"lid25", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2837"},{"id":"lid13", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2821"},{"id":"lid52", "linkTag":"TLINK", "syntax":"", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2869", "eventInstance": "eiid2873"},{"id":"lid6", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2811", "eventInstance": "eiid2810"},{"id":"lid31", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"eiid2848", "eventInstance": "eiid2847"},{"id":"lid70", "linkTag":"TLINK", "syntax":"", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2897", "eventInstance": "eiid2901"},{"id":"lid39", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2857", "eventInstance": "eiid2856"},{"id":"lid36", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid236", "relatedToNode":"t237", "eventInstance": "eiid2853"},{"id":"lid54", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2877", "eventInstance": "eiid2875"},{"id":"lid86", "linkTag":"TLINK", "syntax":"", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"eiid2924", "eventInstance": "eiid2929"},{"id":"lid18", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2829", "eventInstance": "eiid2828"},{"id":"lid24", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2838", "eventInstance": "eiid2837"},{"id":"lid145", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2823", "eventInstance": "eiid2935"},{"id":"lid78", "linkTag":"TLINK", "syntax":"", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2913"},{"id":"lid41", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2856", "eventInstance": "eiid2858"},{"id":"lid153", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2013", "eventInstance": "eiid2910"},{"id":"lid59", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2882"},{"id":"lid3", "linkTag":"TLINK", "syntax":"", "temporalRelation":"DURING", "signal":"sid210", "relatedToNode":"t211", "eventInstance": "eiid2807"},{"id":"lid44", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid245", "relatedToNode":"t246", "eventInstance": "eiid2861"},{"id":"lid29", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2846", "eventInstance": "eiid2845"},{"id":"lid20", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2828", "eventInstance": "eiid2830"},{"id":"lid12", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2817", "eventInstance": "eiid2816"},{"id":"lid156", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2942"},{"id":"lid28", "linkTag":"TLINK", "syntax":"", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2837", "eventInstance": "eiid2844"},{"id":"lid90", "linkTag":"TLINK", "syntax":"", "temporalRelation":"ENDS", "signal":"sid2014", "relatedToNode":"t2013", "eventInstance": "eiid2908"},{"id":"lid71", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2901", "eventInstance": "eiid2902"},{"id":"lid150", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2883"},{"id":"lid66", "linkTag":"TLINK", "syntax":"", "temporalRelation":"ENDED_BY", "signal":{}, "relatedToNode":"eiid2891", "eventInstance": "eiid2889"},{"id":"lid56", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2878", "eventInstance": "eiid2880"},{"id":"lid1", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2038", "eventInstance": "eiid2930"},{"id":"lid37", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2849", "eventInstance": "eiid2855"},{"id":"lid65", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2890", "eventInstance": "eiid2887"},{"id":"lid26", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2842", "eventInstance": "eiid2841"},{"id":"lid76", "linkTag":"TLINK", "syntax":"", "temporalRelation":"DURING", "signal":"sid2011", "relatedToNode":"t2012", "eventInstance": "eiid2908"},{"id":"lid49", "linkTag":"TLINK", "syntax":"", "temporalRelation":"INCLUDES", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2869"},{"id":"lid82", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2921"},{"id":"lid47", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2860", "eventInstance": "eiid2865"},{"id":"lid68", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2882", "eventInstance": "eiid2895"},{"id":"lid83", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid2028", "relatedToNode":"t2029", "eventInstance": "eiid2922"},{"id":"lid149", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2875", "eventInstance": "eiid2936"},{"id":"lid19", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid2134", "relatedToNode":"t2135", "eventInstance": "eiid2828"},{"id":"lid64", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2889", "eventInstance": "eiid2890"},{"id":"lid7", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t214", "eventInstance": "eiid2813"},{"id":"lid146", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2806", "eventInstance": "eiid2833"},{"id":"lid137", "linkTag":"ALINK", "syntax":"", "temporalRelation":"TERMINATES", "signal":{}, "relatedToNode":"eiid2854", "eventInstance": "eiid2853"},{"id":"lid17", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2827", "eventInstance": "eiid2826"},{"id":"lid158", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2921", "eventInstance": "eiid2928"},{"id":"lid74", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2009", "eventInstance": "eiid2906"},{"id":"lid89", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEGINS", "signal":"sid2014", "relatedToNode":"t2013", "eventInstance": "eiid2909"},{"id":"lid138", "linkTag":"ALINK", "syntax":"", "temporalRelation":"CONTINUES", "signal":{}, "relatedToNode":"eiid2866", "eventInstance": "eiid2868"},{"id":"lid45", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2861", "eventInstance": "eiid2862"},{"id":"lid152", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2008", "eventInstance": "eiid2938"},{"id":"lid151", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t2003", "eventInstance": "eiid2937"},{"id":"lid55", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t256", "eventInstance": "eiid2877"},{"id":"lid53", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2875"},{"id":"lid16", "linkTag":"TLINK", "syntax":"", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2823", "eventInstance": "eiid2826"},{"id":"lid48", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2867", "eventInstance": "eiid2868"},{"id":"lid10", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2816", "eventInstance": "eiid2814"},{"id":"lid30", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2847", "eventInstance": "eiid2846"},{"id":"lid84", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2921", "eventInstance": "eiid2923"},{"id":"lid40", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2859", "eventInstance": "eiid2856"},{"id":"lid81", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEGUN_BY", "signal":"sid2025", "relatedToNode":"eiid2920", "eventInstance": "eiid2916"},{"id":"lid51", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2867", "eventInstance": "eiid2869"},{"id":"lid80", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid2023", "relatedToNode":"t2022", "eventInstance": "eiid2917"},{"id":"lid8", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2806"},{"id":"lid11", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2816", "eventInstance": "eiid2815"},{"id":"lid143", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2806", "eventInstance": "eiid2933"},{"id":"lid38", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid238", "relatedToNode":"t239", "eventInstance": "eiid2856"},{"id":"lid62", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2885", "eventInstance": "eiid2888"},{"id":"lid15", "linkTag":"TLINK", "syntax":"", "temporalRelation":"DURING", "signal":"sid2134", "relatedToNode":"t2135", "eventInstance": "eiid2823"},{"id":"lid58", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2880", "eventInstance": "eiid2882"},{"id":"lid23", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":"sid231", "relatedToNode":"eiid2836", "eventInstance": "eiid2832"},{"id":"lid14", "linkTag":"TLINK", "syntax":"", "temporalRelation":"ENDED_BY", "signal":{}, "relatedToNode":"eiid2820", "eventInstance": "eiid2819"},{"id":"lid32", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"t208", "eventInstance": "eiid2849"},{"id":"lid42", "linkTag":"TLINK", "syntax":"", "temporalRelation":"ENDED_BY", "signal":"sid242", "relatedToNode":"t243", "eventInstance": "eiid2859"},{"id":"lid69", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t1998", "eventInstance": "eiid2900"},{"id":"lid79", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid2020", "relatedToNode":"t2021", "eventInstance": "eiid2914"},{"id":"lid33", "linkTag":"TLINK", "syntax":"", "temporalRelation":"DURING", "signal":"sid234", "relatedToNode":"t235", "eventInstance": "eiid2850"},{"id":"lid154", "linkTag":"TLINK", "syntax":"", "temporalRelation":"AFTER", "signal":{}, "relatedToNode":"eiid2920", "eventInstance": "eiid2941"},{"id":"lid61", "linkTag":"TLINK", "syntax":"", "temporalRelation":"SIMULTANEOUS", "signal":{}, "relatedToNode":"eiid2887", "eventInstance": "eiid2886"},{"id":"lid88", "linkTag":"TLINK", "syntax":"", "temporalRelation":"ENDED_BY", "signal":{}, "relatedToNode":"eiid2931", "eventInstance": "eiid2930"},{"id":"lid63", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2889", "eventInstance": "eiid2887"},{"id":"lid85", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":"sid2033", "relatedToNode":"t2034", "eventInstance": "eiid2926"},{"id":"lid27", "linkTag":"TLINK", "syntax":"", "temporalRelation":"BEFORE", "signal":{}, "relatedToNode":"eiid2837", "eventInstance": "eiid2841"},{"id":"lid21", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IS_INCLUDED", "signal":{}, "relatedToNode":"t228", "eventInstance": "eiid2831"},{"id":"lid46", "linkTag":"TLINK", "syntax":"", "temporalRelation":"DURING", "signal":"sid248", "relatedToNode":"t249", "eventInstance": "eiid2864"},{"id":"lid148", "linkTag":"TLINK", "syntax":"", "temporalRelation":"IDENTITY", "signal":{}, "relatedToNode":"eiid2850", "eventInstance": "eiid2854"}],"events":[{"id":"e107", "eventClass":"OCCURRENCE", "stem":"risen"},{"id":"e1997", "eventClass":"STATE", "stem":"business"},{"id":"e253", "eventClass":"STATE", "stem":"load"},{"id":"e1996", "eventClass":"I_STATE", "stem":"confident"},{"id":"e183", "eventClass":"I_STATE", "stem":"wonders"},{"id":"e110", "eventClass":"OCCURRENCE", "stem":"pay"},{"id":"e241", "eventClass":"STATE", "stem":"reduction"},{"id":"e1995", "eventClass":"STATE", "stem":"lower"},{"id":"e115", "eventClass":"REPORTING", "stem":"said"},{"id":"e2406", "eventClass":"I_STATE", "stem":"assumption"},{"id":"e49", "eventClass":"OCCURRENCE", "stem":"cover"},{"id":"e2786", "eventClass":"STATE", "stem":"$2.35"},{"id":"e2788", "eventClass":"STATE", "stem":"$4"},{"id":"e23", "eventClass":"STATE", "stem":"loss"},{"id":"e152", "eventClass":"REPORTING", "stem":"said"},{"id":"e32", "eventClass":"I_STATE", "stem":"help"},{"id":"e34", "eventClass":"OCCURRENCE", "stem":"save"},{"id":"e146", "eventClass":"OCCURRENCE", "stem":"approached"},{"id":"e1993", "eventClass":"OCCURRENCE", "stem":"locked"},{"id":"e139", "eventClass":"OCCURRENCE", "stem":"overhauling"},{"id":"e1991", "eventClass":"STATE", "stem":"suspect"},{"id":"e128", "eventClass":"ASPECTUAL", "stem":"continue"},{"id":"e2410", "eventClass":"STATE", "stem":"problem"},{"id":"e31", "eventClass":"REPORTING", "stem":"said"},{"id":"e105", "eventClass":"I_ACTION", "stem":"deal"},{"id":"e2328", "eventClass":"OCCURRENCE", "stem":"reduced"},{"id":"e157", "eventClass":"STATE", "stem":"have"},{"id":"e13", "eventClass":"OCCURRENCE", "stem":"orders"},{"id":"e172", "eventClass":"OCCURRENCE", "stem":"do"},{"id":"e2793", "eventClass":"STATE", "stem":">$2"},{"id":"e2065", "eventClass":"OCCURRENCE", "stem":"write-offs"},{"id":"e165", "eventClass":"REPORTING", "stem":"said"},{"id":"e85", "eventClass":"REPORTING", "stem":"reported"},{"id":"e174", "eventClass":"REPORTING", "stem":"said"},{"id":"e38", "eventClass":"OCCURRENCE", "stem":"write-off"},{"id":"e1992", "eventClass":"OCCURRENCE", "stem":"move"},{"id":"e240", "eventClass":"I_STATE", "stem":"goal"},{"id":"e2035", "eventClass":"STATE", "stem":"concern"},{"id":"e80", "eventClass":"I_STATE", "stem":"relied"},{"id":"e182", "eventClass":"REPORTING", "stem":"said"},{"id":"e64", "eventClass":"OCCURRENCE", "stem":"leave"},{"id":"e169", "eventClass":"OCCURRENCE", "stem":"inched"},{"id":"e213", "eventClass":"OCCURRENCE", "stem":"turnaround"},{"id":"e37", "eventClass":"OCCURRENCE", "stem":"took"},{"id":"e26", "eventClass":"OCCURRENCE", "stem":"layoffs"},{"id":"e14", "eventClass":"OCCURRENCE", "stem":"made"},{"id":"e1999", "eventClass":"STATE", "stem":"cautious"},{"id":"e170", "eventClass":"I_STATE", "stem":"expected"},{"id":"e43", "eventClass":"OCCURRENCE", "stem":"took"},{"id":"e166", "eventClass":"OCCURRENCE", "stem":"had"},{"id":"e230", "eventClass":"REPORTING", "stem":"reported"},{"id":"e2784", "eventClass":"OCCURRENCE", "stem":"earnings"},{"id":"e2032", "eventClass":"STATE", "stem":"lower"},{"id":"e181", "eventClass":"STATE", "stem":"remain"},{"id":"e11", "eventClass":"STATE", "stem":"loss"},{"id":"e2015", "eventClass":"STATE", "stem":"earnings"},{"id":"e54", "eventClass":"OCCURRENCE", "stem":"scandal"},{"id":"e7", "eventClass":"OCCURRENCE", "stem":"take"},{"id":"e250", "eventClass":"STATE", "stem":"growth"},{"id":"e2408", "eventClass":"OCCURRENCE", "stem":"move"},{"id":"e63", "eventClass":"OCCURRENCE", "stem":"payments"},{"id":"e227", "eventClass":"OCCURRENCE", "stem":"charge"},{"id":"e163", "eventClass":"I_ACTION", "stem":"predicted"},{"id":"e70", "eventClass":"REPORTING", "stem":"said"},{"id":"e67", "eventClass":"ASPECTUAL", "stem":"cut"},{"id":"e28", "eventClass":"REPORTING", "stem":"said"},{"id":"e2407", "eventClass":"I_STATE", "stem":"want"},{"id":"e45", "eventClass":"OCCURRENCE", "stem":"business"},{"id":"e44", "eventClass":"OCCURRENCE", "stem":"look"},{"id":"e40", "eventClass":"OCCURRENCE", "stem":"cover"},{"id":"e29", "eventClass":"STATE", "stem":"laid"},{"id":"e2036", "eventClass":"STATE", "stem":"$16.25"},{"id":"e2", "eventClass":"STATE", "stem":"loss"},{"id":"e22", "eventClass":"OCCURRENCE", "stem":"inched"},{"id":"e2789", "eventClass":"STATE", "stem":">$4"},{"id":"e2709", "eventClass":"I_STATE", "stem":"estimate"},{"id":"e2785", "eventClass":"STATE", "stem":"high"},{"id":"e84", "eventClass":"I_ACTION", "stem":"overcome"},{"id":"e187", "eventClass":"I_ACTION", "stem":"asked"},{"id":"e189", "eventClass":"OCCURRENCE", "stem":"fell"},{"id":"e175", "eventClass":"OCCURRENCE", "stem":"cutting"},{"id":"e2405", "eventClass":"OCCURRENCE", "stem":"betting"},{"id":"e2710", "eventClass":"STATE", "stem":"earnings"},{"id":"e129", "eventClass":"REPORTING", "stem":"said"},{"id":"e244", "eventClass":"STATE", "stem":"weak"},{"id":"e247", "eventClass":"STATE", "stem":"weakness"},{"id":"e143", "eventClass":"OCCURRENCE", "stem":"prepare"},{"id":"e20", "eventClass":"REPORTING", "stem":"said"},{"id":"e2794", "eventClass":"STATE", "stem":"at"},{"id":"e53", "eventClass":"OCCURRENCE", "stem":"involvement"},{"id":"e56", "eventClass":"REPORTING", "stem":"noted"},{"id":"e68", "eventClass":"OCCURRENCE", "stem":"payments"},{"id":"e2795", "eventClass":"STATE", "stem":"low"},{"id":"e118", "eventClass":"REPORTING", "stem":"said"},{"id":"e158", "eventClass":"I_STATE", "stem":"minimize"},{"id":"e226", "eventClass":"STATE", "stem":"had"},{"id":"e5", "eventClass":"I_STATE", "stem":"expected"},{"id":"e16", "eventClass":"I_STATE", "stem":"wonder"},{"id":"e138", "eventClass":"REPORTING", "stem":"said"},{"id":"e2027", "eventClass":"STATE", "stem":">$3"},{"id":"e212", "eventClass":"OCCURRENCE", "stem":"moving"},{"id":"e145", "eventClass":"OCCURRENCE", "stem":"used"},{"id":"e180", "eventClass":"REPORTING", "stem":"said"},{"id":"e18", "eventClass":"STATE", "stem":"clobbered"},{"id":"e1", "eventClass":"I_ACTION", "stem":"announcement"},{"id":"e24", "eventClass":"OCCURRENCE", "stem":"took"},{"id":"e229", "eventClass":"STATE", "stem":"losses"},{"id":"e57", "eventClass":"OCCURRENCE", "stem":"paid"},{"id":"e17", "eventClass":"I_STATE", "stem":"getting"},{"id":"e2409", "eventClass":"ASPECTUAL", "stem":"continue"},{"id":"e116", "eventClass":"OCCURRENCE", "stem":"approaching"},{"id":"e2787", "eventClass":"STATE", "stem":"$2.27"},{"id":"e52", "eventClass":"OCCURRENCE", "stem":"pay"},{"id":"e126", "eventClass":"OCCURRENCE", "stem":"flaring"},{"id":"e47", "eventClass":"OCCURRENCE", "stem":"set"},{"id":"e9", "eventClass":"I_ACTION", "stem":"prepare"},{"id":"e160", "eventClass":"OCCURRENCE", "stem":"challenges"},{"id":"e141", "eventClass":"I_STATE", "stem":"needs"},{"id":"e216", "eventClass":"STATE", "stem":"strong"},{"id":"e2791", "eventClass":"STATE", "stem":"$7.13"},{"id":"e76", "eventClass":"REPORTING", "stem":"said"},{"id":"e2010", "eventClass":"STATE", "stem":"losses"},{"id":"e73", "eventClass":"OCCURRENCE", "stem":"leaving"},{"id":"e2792", "eventClass":"STATE", "stem":"$7.03"},{"id":"e124", "eventClass":"REPORTING", "stem":"said"},{"id":"e2790", "eventClass":"STATE", "stem":">$3.27"},{"id":"e162", "eventClass":"OCCURRENCE", "stem":"burned"}],"signals":[{"id":"sid236", "signalString":"in"},{"id":"sid210", "signalString":"for"},{"id":"sid2014", "signalString":"earlier"},{"id":"sid2412", "signalString":"if"},{"id":"sid231", "signalString":"previously"},{"id":"sid2033", "signalString":"for"},{"id":"sid2020", "signalString":"in"},{"id":"sid2011", "signalString":"through"},{"id":"sid2023", "signalString":"for"},{"id":"sid2619", "signalString":"repeatedly"},{"id":"sid248", "signalString":"over"},{"id":"sid2025", "signalString":"from"},{"id":"sid238", "signalString":"during"},{"id":"sid2134", "signalString":"in"},{"id":"sid258", "signalString":"through"},{"id":"sid245", "signalString":"during"},{"id":"sid234", "signalString":"during"},{"id":"sid2028", "signalString":"for"},{"id":"sid242", "signalString":"by"}],"partitions":[{"nodeIds":["eiid2865","eiid2888","eiid2870","eiid2821","eiid2849","eiid2923","eiid2942","eiid2921","eiid2882","eiid2878","eiid2867","t259","eiid2928","eiid2877","eiid2868","eiid2866","eiid2883","eiid2913","eiid2842","eiid2855","eiid2915","eiid2873","eiid2841","eiid2880","eiid2844","eiid2833","eiid2860","eiid2875","t256","t208","eiid2933","t209","eiid2885","eiid2837","eiid2936","eiid2869","eiid2806","eiid2838","eiid2884","eiid2895"],"linkIds":["lid60","lid84","lid43","lid56","lid24","lid37","lid26","lid155","lid49","lid51","lid78","lid82","lid8","lid143","lid47","lid57","lid68","lid62","lid50","lid58","lid149","lid32","lid59","lid146","lid2","lid158","lid139","lid13","lid25","lid138","lid52","lid156","lid28","lid27","lid55","lid53","lid150","lid48","lid54"],"timeline":[{"id":"eiid2865","eventBoundary":"-","position":"1"},{"id":"eiid2888","eventBoundary":"-","position":"1"},{"id":"eiid2870","eventBoundary":"-","position":"1"},{"id":"eiid2821","eventBoundary":"-","position":"1"},{"id":"eiid2849","eventBoundary":"-","position":"1"},{"id":"eiid2923","eventBoundary":"-","position":"1"},{"id":"eiid2921","eventBoundary":"-","position":"1"},{"id":"eiid2882","eventBoundary":"-","position":"1"},{"id":"eiid2878","eventBoundary":"-","position":"1"},{"id":"eiid2928","eventBoundary":"-","position":"1"},{"id":"eiid2866","eventBoundary":"-","position":"1"},{"id":"eiid2913","eventBoundary":"-","position":"1"},{"id":"eiid2842","eventBoundary":"-","position":"1"},{"id":"eiid2855","eventBoundary":"-","position":"1"},{"id":"eiid2915","eventBoundary":"-","position":"1"},{"id":"eiid2873","eventBoundary":"-","position":"1"},{"id":"eiid2841","eventBoundary":"-","position":"1"},{"id":"eiid2880","eventBoundary":"-","position":"1"},{"id":"eiid2860","eventBoundary":"-","position":"1"},{"id":"eiid2875","eventBoundary":"-","position":"1"},{"id":"t256","eventBoundary":"-","position":"1"},{"id":"eiid2933","eventBoundary":"-","position":"1"},{"id":"t209","eventBoundary":"-","position":"1"},{"id":"eiid2885","eventBoundary":"-","position":"1"},{"id":"eiid2869","eventBoundary":"-","position":"1"},{"id":"eiid2895","eventBoundary":"-","position":"1"},{"id":"eiid2865","eventBoundary":"+","position":"2"},{"id":"eiid2888","eventBoundary":"+","position":"2"},{"id":"eiid2821","eventBoundary":"+","position":"2"},{"id":"eiid2849","eventBoundary":"+","position":"2"},{"id":"eiid2923","eventBoundary":"+","position":"2"},{"id":"eiid2921","eventBoundary":"+","position":"2"},{"id":"eiid2882","eventBoundary":"+","position":"2"},{"id":"eiid2878","eventBoundary":"+","position":"2"},{"id":"eiid2928","eventBoundary":"+","position":"2"},{"id":"eiid2868","eventBoundary":"-","position":"2"},{"id":"eiid2842","eventBoundary":"+","position":"2"},{"id":"eiid2855","eventBoundary":"+","position":"2"},{"id":"eiid2915","eventBoundary":"+","position":"2"},{"id":"eiid2841","eventBoundary":"+","position":"2"},{"id":"eiid2880","eventBoundary":"+","position":"2"},{"id":"eiid2860","eventBoundary":"+","position":"2"},{"id":"eiid2875","eventBoundary":"+","position":"2"},{"id":"eiid2933","eventBoundary":"+","position":"2"},{"id":"eiid2885","eventBoundary":"+","position":"2"},{"id":"eiid2895","eventBoundary":"+","position":"2"},{"id":"eiid2877","eventBoundary":"-","position":"3"},{"id":"eiid2868","eventBoundary":"+","position":"3"},{"id":"eiid2833","eventBoundary":"-","position":"3"},{"id":"eiid2936","eventBoundary":"-","position":"3"},{"id":"eiid2806","eventBoundary":"-","position":"3"},{"id":"eiid2877","eventBoundary":"+","position":"4"},{"id":"eiid2866","eventBoundary":"+","position":"4"},{"id":"eiid2833","eventBoundary":"+","position":"4"},{"id":"eiid2936","eventBoundary":"+","position":"4"},{"id":"eiid2806","eventBoundary":"+","position":"4"},{"id":"t256","eventBoundary":"+","position":"5"},{"id":"t208","eventBoundary":"-","position":"5"},{"id":"t209","eventBoundary":"+","position":"5"},{"id":"eiid2942","eventBoundary":"-","position":"6"},{"id":"eiid2883","eventBoundary":"-","position":"6"},{"id":"eiid2844","eventBoundary":"-","position":"6"},{"id":"eiid2837","eventBoundary":"-","position":"6"},{"id":"eiid2838","eventBoundary":"-","position":"6"},{"id":"eiid2942","eventBoundary":"+","position":"7"},{"id":"t259","eventBoundary":"-","position":"7"},{"id":"eiid2844","eventBoundary":"+","position":"7"},{"id":"eiid2837","eventBoundary":"+","position":"7"},{"id":"eiid2838","eventBoundary":"+","position":"7"},{"id":"eiid2884","eventBoundary":"-","position":"7"},{"id":"t259","eventBoundary":"+","position":"8"},{"id":"eiid2884","eventBoundary":"+","position":"8"},{"id":"eiid2883","eventBoundary":"+","position":"9"},{"id":"t208","eventBoundary":"+","position":"10"},{"id":"eiid2870","eventBoundary":"+","position":"11"},{"id":"eiid2913","eventBoundary":"+","position":"11"},{"id":"eiid2873","eventBoundary":"+","position":"11"},{"id":"eiid2869","eventBoundary":"+","position":"11"},{"id":"eiid2867","eventBoundary":"-","position":"12"},{"id":"eiid2867","eventBoundary":"+","position":"13"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2865","timePoint1":"-","id2":"eiid2888","timePoint2":"-"},{"id1":"eiid2888","timePoint1":"-","id2":"eiid2870","timePoint2":"-"},{"id1":"eiid2870","timePoint1":"-","id2":"eiid2821","timePoint2":"-"},{"id1":"eiid2821","timePoint1":"-","id2":"eiid2849","timePoint2":"-"},{"id1":"eiid2849","timePoint1":"-","id2":"eiid2923","timePoint2":"-"},{"id1":"eiid2923","timePoint1":"-","id2":"eiid2921","timePoint2":"-"},{"id1":"eiid2921","timePoint1":"-","id2":"eiid2882","timePoint2":"-"},{"id1":"eiid2882","timePoint1":"-","id2":"eiid2878","timePoint2":"-"},{"id1":"eiid2878","timePoint1":"-","id2":"eiid2928","timePoint2":"-"},{"id1":"eiid2928","timePoint1":"-","id2":"eiid2866","timePoint2":"-"},{"id1":"eiid2866","timePoint1":"-","id2":"eiid2913","timePoint2":"-"},{"id1":"eiid2913","timePoint1":"-","id2":"eiid2842","timePoint2":"-"},{"id1":"eiid2842","timePoint1":"-","id2":"eiid2855","timePoint2":"-"},{"id1":"eiid2855","timePoint1":"-","id2":"eiid2915","timePoint2":"-"},{"id1":"eiid2915","timePoint1":"-","id2":"eiid2873","timePoint2":"-"},{"id1":"eiid2873","timePoint1":"-","id2":"eiid2841","timePoint2":"-"},{"id1":"eiid2841","timePoint1":"-","id2":"eiid2880","timePoint2":"-"},{"id1":"eiid2880","timePoint1":"-","id2":"eiid2860","timePoint2":"-"},{"id1":"eiid2860","timePoint1":"-","id2":"eiid2875","timePoint2":"-"},{"id1":"eiid2875","timePoint1":"-","id2":"t256","timePoint2":"-"},{"id1":"t256","timePoint1":"-","id2":"eiid2933","timePoint2":"-"},{"id1":"eiid2933","timePoint1":"-","id2":"t209","timePoint2":"-"},{"id1":"t209","timePoint1":"-","id2":"eiid2885","timePoint2":"-"},{"id1":"eiid2885","timePoint1":"-","id2":"eiid2869","timePoint2":"-"},{"id1":"eiid2869","timePoint1":"-","id2":"eiid2895","timePoint2":"-"},{"id1":"eiid2895","timePoint1":"-","id2":"eiid2865","timePoint2":"+"},{"id1":"eiid2865","timePoint1":"+","id2":"eiid2888","timePoint2":"+"},{"id1":"eiid2888","timePoint1":"+","id2":"eiid2821","timePoint2":"+"},{"id1":"eiid2821","timePoint1":"+","id2":"eiid2849","timePoint2":"+"},{"id1":"eiid2849","timePoint1":"+","id2":"eiid2923","timePoint2":"+"},{"id1":"eiid2923","timePoint1":"+","id2":"eiid2921","timePoint2":"+"},{"id1":"eiid2921","timePoint1":"+","id2":"eiid2882","timePoint2":"+"},{"id1":"eiid2882","timePoint1":"+","id2":"eiid2878","timePoint2":"+"},{"id1":"eiid2878","timePoint1":"+","id2":"eiid2928","timePoint2":"+"},{"id1":"eiid2928","timePoint1":"+","id2":"eiid2868","timePoint2":"-"},{"id1":"eiid2868","timePoint1":"-","id2":"eiid2842","timePoint2":"+"},{"id1":"eiid2842","timePoint1":"+","id2":"eiid2855","timePoint2":"+"},{"id1":"eiid2855","timePoint1":"+","id2":"eiid2915","timePoint2":"+"},{"id1":"eiid2915","timePoint1":"+","id2":"eiid2841","timePoint2":"+"},{"id1":"eiid2841","timePoint1":"+","id2":"eiid2880","timePoint2":"+"},{"id1":"eiid2880","timePoint1":"+","id2":"eiid2860","timePoint2":"+"},{"id1":"eiid2860","timePoint1":"+","id2":"eiid2875","timePoint2":"+"},{"id1":"eiid2875","timePoint1":"+","id2":"eiid2933","timePoint2":"+"},{"id1":"eiid2933","timePoint1":"+","id2":"eiid2885","timePoint2":"+"},{"id1":"eiid2885","timePoint1":"+","id2":"eiid2895","timePoint2":"+"},{"id1":"eiid2895","timePoint1":"+","id2":"eiid2877","timePoint2":"-"},{"id1":"eiid2877","timePoint1":"-","id2":"eiid2868","timePoint2":"+"},{"id1":"eiid2868","timePoint1":"+","id2":"eiid2833","timePoint2":"-"},{"id1":"eiid2833","timePoint1":"-","id2":"eiid2936","timePoint2":"-"},{"id1":"eiid2936","timePoint1":"-","id2":"eiid2806","timePoint2":"-"},{"id1":"eiid2806","timePoint1":"-","id2":"eiid2877","timePoint2":"+"},{"id1":"eiid2877","timePoint1":"+","id2":"eiid2866","timePoint2":"+"},{"id1":"eiid2866","timePoint1":"+","id2":"eiid2833","timePoint2":"+"},{"id1":"eiid2833","timePoint1":"+","id2":"eiid2936","timePoint2":"+"},{"id1":"eiid2936","timePoint1":"+","id2":"eiid2806","timePoint2":"+"},{"id1":"eiid2806","timePoint1":"+","id2":"t256","timePoint2":"+"},{"id1":"t256","timePoint1":"+","id2":"t208","timePoint2":"-"},{"id1":"t208","timePoint1":"-","id2":"t209","timePoint2":"+"},{"id1":"t209","timePoint1":"+","id2":"eiid2942","timePoint2":"-"},{"id1":"eiid2942","timePoint1":"-","id2":"eiid2883","timePoint2":"-"},{"id1":"eiid2883","timePoint1":"-","id2":"eiid2844","timePoint2":"-"},{"id1":"eiid2844","timePoint1":"-","id2":"eiid2837","timePoint2":"-"},{"id1":"eiid2837","timePoint1":"-","id2":"eiid2838","timePoint2":"-"},{"id1":"eiid2838","timePoint1":"-","id2":"eiid2942","timePoint2":"+"},{"id1":"eiid2942","timePoint1":"+","id2":"t259","timePoint2":"-"},{"id1":"t259","timePoint1":"-","id2":"eiid2844","timePoint2":"+"},{"id1":"eiid2844","timePoint1":"+","id2":"eiid2837","timePoint2":"+"},{"id1":"eiid2837","timePoint1":"+","id2":"eiid2838","timePoint2":"+"},{"id1":"eiid2838","timePoint1":"+","id2":"eiid2884","timePoint2":"-"},{"id1":"eiid2884","timePoint1":"-","id2":"t259","timePoint2":"+"},{"id1":"t259","timePoint1":"+","id2":"eiid2884","timePoint2":"+"},{"id1":"eiid2884","timePoint1":"+","id2":"eiid2883","timePoint2":"+"},{"id1":"eiid2883","timePoint1":"+","id2":"t208","timePoint2":"+"},{"id1":"t208","timePoint1":"+","id2":"eiid2870","timePoint2":"+"},{"id1":"eiid2870","timePoint1":"+","id2":"eiid2913","timePoint2":"+"},{"id1":"eiid2913","timePoint1":"+","id2":"eiid2873","timePoint2":"+"},{"id1":"eiid2873","timePoint1":"+","id2":"eiid2869","timePoint2":"+"},{"id1":"eiid2869","timePoint1":"+","id2":"eiid2867","timePoint2":"-"}]},{"nodeIds":["eiid2935","eiid2934","eiid2826","eiid2829","t2135","eiid2830","eiid2823","eiid2828","eiid2827"],"linkIds":["lid20","lid145","lid19","lid18","lid17","lid144","lid15","lid16"],"timeline":[{"id":"eiid2935","eventBoundary":"-","position":"1"},{"id":"eiid2830","eventBoundary":"-","position":"1"},{"id":"eiid2935","eventBoundary":"+","position":"2"},{"id":"eiid2830","eventBoundary":"+","position":"2"},{"id":"eiid2826","eventBoundary":"-","position":"3"},{"id":"t2135","eventBoundary":"-","position":"3"},{"id":"eiid2823","eventBoundary":"-","position":"3"},{"id":"eiid2827","eventBoundary":"-","position":"3"},{"id":"eiid2829","eventBoundary":"-","position":"4"},{"id":"eiid2828","eventBoundary":"-","position":"4"},{"id":"eiid2829","eventBoundary":"+","position":"5"},{"id":"eiid2828","eventBoundary":"+","position":"5"},{"id":"eiid2826","eventBoundary":"+","position":"6"},{"id":"t2135","eventBoundary":"+","position":"6"},{"id":"eiid2823","eventBoundary":"+","position":"6"},{"id":"eiid2827","eventBoundary":"+","position":"6"},{"id":"eiid2934","eventBoundary":"-","position":"7"},{"id":"eiid2934","eventBoundary":"+","position":"8"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2935","timePoint1":"-","id2":"eiid2830","timePoint2":"-"},{"id1":"eiid2830","timePoint1":"-","id2":"eiid2935","timePoint2":"+"},{"id1":"eiid2935","timePoint1":"+","id2":"eiid2830","timePoint2":"+"},{"id1":"eiid2830","timePoint1":"+","id2":"eiid2826","timePoint2":"-"},{"id1":"eiid2826","timePoint1":"-","id2":"t2135","timePoint2":"-"},{"id1":"t2135","timePoint1":"-","id2":"eiid2823","timePoint2":"-"},{"id1":"eiid2823","timePoint1":"-","id2":"eiid2827","timePoint2":"-"},{"id1":"eiid2827","timePoint1":"-","id2":"eiid2829","timePoint2":"-"},{"id1":"eiid2829","timePoint1":"-","id2":"eiid2828","timePoint2":"-"},{"id1":"eiid2828","timePoint1":"-","id2":"eiid2829","timePoint2":"+"},{"id1":"eiid2829","timePoint1":"+","id2":"eiid2828","timePoint2":"+"},{"id1":"eiid2828","timePoint1":"+","id2":"eiid2826","timePoint2":"+"},{"id1":"eiid2826","timePoint1":"+","id2":"t2135","timePoint2":"+"},{"id1":"t2135","timePoint1":"+","id2":"eiid2823","timePoint2":"+"},{"id1":"eiid2823","timePoint1":"+","id2":"eiid2827","timePoint2":"+"},{"id1":"eiid2827","timePoint1":"+","id2":"eiid2934","timePoint2":"-"}]},{"nodeIds":["t237","eiid2853","t235","eiid2854","eiid2851","eiid2850","eiid2852"],"linkIds":["lid34","lid35","lid33","lid137","lid36","lid148"],"timeline":[{"id":"t237","eventBoundary":"-","position":"1"},{"id":"t235","eventBoundary":"-","position":"1"},{"id":"eiid2854","eventBoundary":"-","position":"1"},{"id":"eiid2851","eventBoundary":"-","position":"1"},{"id":"eiid2850","eventBoundary":"-","position":"1"},{"id":"eiid2852","eventBoundary":"-","position":"1"},{"id":"eiid2851","eventBoundary":"+","position":"2"},{"id":"eiid2852","eventBoundary":"+","position":"2"},{"id":"eiid2853","eventBoundary":"-","position":"3"},{"id":"eiid2853","eventBoundary":"+","position":"4"},{"id":"t235","eventBoundary":"+","position":"4"},{"id":"eiid2854","eventBoundary":"+","position":"4"},{"id":"eiid2850","eventBoundary":"+","position":"4"},{"id":"t237","eventBoundary":"+","position":"5"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t237","timePoint1":"-","id2":"t235","timePoint2":"-"},{"id1":"t235","timePoint1":"-","id2":"eiid2854","timePoint2":"-"},{"id1":"eiid2854","timePoint1":"-","id2":"eiid2851","timePoint2":"-"},{"id1":"eiid2851","timePoint1":"-","id2":"eiid2850","timePoint2":"-"},{"id1":"eiid2850","timePoint1":"-","id2":"eiid2852","timePoint2":"-"},{"id1":"eiid2852","timePoint1":"-","id2":"eiid2851","timePoint2":"+"},{"id1":"eiid2851","timePoint1":"+","id2":"eiid2852","timePoint2":"+"},{"id1":"eiid2852","timePoint1":"+","id2":"eiid2853","timePoint2":"-"},{"id1":"eiid2853","timePoint1":"-","id2":"eiid2853","timePoint2":"+"},{"id1":"eiid2853","timePoint1":"+","id2":"t235","timePoint2":"+"},{"id1":"t235","timePoint1":"+","id2":"eiid2854","timePoint2":"+"},{"id1":"eiid2854","timePoint1":"+","id2":"eiid2850","timePoint2":"+"}]},{"nodeIds":["eiid2908","t2012","eiid2910","eiid2909","t2013","eiid2907"],"linkIds":["lid153","lid77","lid75","lid90","lid89","lid76"],"timeline":[{"id":"eiid2909","eventBoundary":"-","position":"1"},{"id":"t2013","eventBoundary":"-","position":"1"},{"id":"eiid2910","eventBoundary":"-","position":"2"},{"id":"eiid2909","eventBoundary":"+","position":"2"},{"id":"eiid2908","eventBoundary":"-","position":"3"},{"id":"t2012","eventBoundary":"-","position":"3"},{"id":"eiid2910","eventBoundary":"+","position":"3"},{"id":"eiid2907","eventBoundary":"-","position":"3"},{"id":"eiid2908","eventBoundary":"+","position":"4"},{"id":"t2012","eventBoundary":"+","position":"4"},{"id":"t2013","eventBoundary":"+","position":"4"},{"id":"eiid2907","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2909","timePoint1":"-","id2":"t2013","timePoint2":"-"},{"id1":"t2013","timePoint1":"-","id2":"eiid2910","timePoint2":"-"},{"id1":"eiid2910","timePoint1":"-","id2":"eiid2909","timePoint2":"+"},{"id1":"eiid2909","timePoint1":"+","id2":"eiid2908","timePoint2":"-"},{"id1":"eiid2908","timePoint1":"-","id2":"t2012","timePoint2":"-"},{"id1":"t2012","timePoint1":"-","id2":"eiid2910","timePoint2":"+"},{"id1":"eiid2910","timePoint1":"+","id2":"eiid2907","timePoint2":"-"},{"id1":"eiid2907","timePoint1":"-","id2":"eiid2908","timePoint2":"+"},{"id1":"eiid2908","timePoint1":"+","id2":"t2012","timePoint2":"+"},{"id1":"t2012","timePoint1":"+","id2":"t2013","timePoint2":"+"}]},{"nodeIds":["eiid2857","eiid2856","t239","t243","eiid2858","eiid2859"],"linkIds":["lid41","lid42","lid39","lid38","lid40"],"timeline":[{"id":"t239","eventBoundary":"-","position":"1"},{"id":"eiid2858","eventBoundary":"-","position":"1"},{"id":"eiid2858","eventBoundary":"+","position":"2"},{"id":"eiid2857","eventBoundary":"-","position":"3"},{"id":"eiid2856","eventBoundary":"-","position":"3"},{"id":"eiid2857","eventBoundary":"+","position":"4"},{"id":"eiid2856","eventBoundary":"+","position":"4"},{"id":"t239","eventBoundary":"+","position":"5"},{"id":"eiid2859","eventBoundary":"-","position":"5"},{"id":"t243","eventBoundary":"-","position":"6"},{"id":"t243","eventBoundary":"+","position":"7"},{"id":"eiid2859","eventBoundary":"+","position":"7"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t239","timePoint1":"-","id2":"eiid2858","timePoint2":"-"},{"id1":"eiid2858","timePoint1":"-","id2":"eiid2858","timePoint2":"+"},{"id1":"eiid2858","timePoint1":"+","id2":"eiid2857","timePoint2":"-"},{"id1":"eiid2857","timePoint1":"-","id2":"eiid2856","timePoint2":"-"},{"id1":"eiid2856","timePoint1":"-","id2":"eiid2857","timePoint2":"+"},{"id1":"eiid2857","timePoint1":"+","id2":"eiid2856","timePoint2":"+"},{"id1":"eiid2856","timePoint1":"+","id2":"t239","timePoint2":"+"},{"id1":"t239","timePoint1":"+","id2":"eiid2859","timePoint2":"-"},{"id1":"eiid2859","timePoint1":"-","id2":"t243","timePoint2":"-"},{"id1":"t243","timePoint1":"-","id2":"t243","timePoint2":"+"}]},{"nodeIds":["eiid2903","eiid2897","t2000","eiid2902","eiid2901"],"linkIds":["lid70","lid72","lid71","lid73"],"timeline":[{"id":"eiid2903","eventBoundary":"-","position":"1"},{"id":"t2000","eventBoundary":"-","position":"1"},{"id":"eiid2903","eventBoundary":"+","position":"2"},{"id":"eiid2902","eventBoundary":"-","position":"2"},{"id":"eiid2902","eventBoundary":"+","position":"3"},{"id":"eiid2897","eventBoundary":"-","position":"4"},{"id":"t2000","eventBoundary":"+","position":"4"},{"id":"eiid2901","eventBoundary":"-","position":"4"},{"id":"eiid2897","eventBoundary":"+","position":"5"},{"id":"eiid2901","eventBoundary":"+","position":"5"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2903","timePoint1":"-","id2":"t2000","timePoint2":"-"},{"id1":"t2000","timePoint1":"-","id2":"eiid2903","timePoint2":"+"},{"id1":"eiid2903","timePoint1":"+","id2":"eiid2902","timePoint2":"-"},{"id1":"eiid2902","timePoint1":"-","id2":"eiid2902","timePoint2":"+"},{"id1":"eiid2902","timePoint1":"+","id2":"eiid2897","timePoint2":"-"},{"id1":"eiid2897","timePoint1":"-","id2":"t2000","timePoint2":"+"},{"id1":"t2000","timePoint1":"+","id2":"eiid2901","timePoint2":"-"},{"id1":"eiid2901","timePoint1":"-","id2":"eiid2897","timePoint2":"+"}]},{"nodeIds":["eiid2931","eiid2929","t2038","eiid2930","eiid2924"],"linkIds":["lid87","lid1","lid88","lid86"],"timeline":[{"id":"eiid2929","eventBoundary":"-","position":"1"},{"id":"t2038","eventBoundary":"-","position":"1"},{"id":"eiid2924","eventBoundary":"-","position":"2"},{"id":"eiid2924","eventBoundary":"+","position":"3"},{"id":"eiid2929","eventBoundary":"+","position":"4"},{"id":"eiid2930","eventBoundary":"-","position":"5"},{"id":"eiid2931","eventBoundary":"-","position":"6"},{"id":"eiid2931","eventBoundary":"+","position":"7"},{"id":"eiid2930","eventBoundary":"+","position":"7"},{"id":"t2038","eventBoundary":"+","position":"8"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2929","timePoint1":"-","id2":"t2038","timePoint2":"-"},{"id1":"t2038","timePoint1":"-","id2":"eiid2924","timePoint2":"-"},{"id1":"eiid2924","timePoint1":"-","id2":"eiid2924","timePoint2":"+"},{"id1":"eiid2924","timePoint1":"+","id2":"eiid2929","timePoint2":"+"},{"id1":"eiid2929","timePoint1":"+","id2":"eiid2930","timePoint2":"-"},{"id1":"eiid2930","timePoint1":"-","id2":"eiid2931","timePoint2":"-"},{"id1":"eiid2931","timePoint1":"-","id2":"eiid2931","timePoint2":"+"},{"id1":"eiid2931","timePoint1":"+","id2":"eiid2930","timePoint2":"+"}]},{"nodeIds":["eiid2889","eiid2890","eiid2886","eiid2887","eiid2891"],"linkIds":["lid66","lid63","lid64","lid61","lid65"],"timeline":[{"id":"eiid2886","eventBoundary":"-","position":"1"},{"id":"eiid2887","eventBoundary":"-","position":"1"},{"id":"eiid2886","eventBoundary":"+","position":"2"},{"id":"eiid2887","eventBoundary":"+","position":"2"},{"id":"eiid2890","eventBoundary":"-","position":"3"},{"id":"eiid2890","eventBoundary":"+","position":"4"},{"id":"eiid2889","eventBoundary":"-","position":"5"},{"id":"eiid2891","eventBoundary":"-","position":"6"},{"id":"eiid2889","eventBoundary":"+","position":"7"},{"id":"eiid2891","eventBoundary":"+","position":"7"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2886","timePoint1":"-","id2":"eiid2887","timePoint2":"-"},{"id1":"eiid2887","timePoint1":"-","id2":"eiid2886","timePoint2":"+"},{"id1":"eiid2886","timePoint1":"+","id2":"eiid2887","timePoint2":"+"},{"id1":"eiid2887","timePoint1":"+","id2":"eiid2890","timePoint2":"-"},{"id1":"eiid2890","timePoint1":"-","id2":"eiid2890","timePoint2":"+"},{"id1":"eiid2890","timePoint1":"+","id2":"eiid2889","timePoint2":"-"},{"id1":"eiid2889","timePoint1":"-","id2":"eiid2891","timePoint2":"-"},{"id1":"eiid2891","timePoint1":"-","id2":"eiid2889","timePoint2":"+"}]},{"nodeIds":["eiid2848","eiid2846","eiid2845","eiid2847"],"linkIds":["lid31","lid30","lid29"],"timeline":[{"id":"eiid2848","eventBoundary":"-","position":"1"},{"id":"eiid2847","eventBoundary":"-","position":"2"},{"id":"eiid2847","eventBoundary":"+","position":"3"},{"id":"eiid2848","eventBoundary":"+","position":"4"},{"id":"eiid2846","eventBoundary":"-","position":"4"},{"id":"eiid2846","eventBoundary":"+","position":"5"},{"id":"eiid2845","eventBoundary":"-","position":"6"},{"id":"eiid2845","eventBoundary":"+","position":"7"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2848","timePoint1":"-","id2":"eiid2847","timePoint2":"-"},{"id1":"eiid2847","timePoint1":"-","id2":"eiid2847","timePoint2":"+"},{"id1":"eiid2847","timePoint1":"+","id2":"eiid2848","timePoint2":"+"},{"id1":"eiid2848","timePoint1":"+","id2":"eiid2846","timePoint2":"-"},{"id1":"eiid2846","timePoint1":"-","id2":"eiid2846","timePoint2":"+"},{"id1":"eiid2846","timePoint1":"+","id2":"eiid2845","timePoint2":"-"}]},{"nodeIds":["eiid2808","eiid2809","eiid2807","t211"],"linkIds":["lid4","lid3","lid5"],"timeline":[{"id":"eiid2809","eventBoundary":"-","position":"1"},{"id":"eiid2809","eventBoundary":"+","position":"2"},{"id":"eiid2808","eventBoundary":"-","position":"3"},{"id":"eiid2808","eventBoundary":"+","position":"4"},{"id":"eiid2807","eventBoundary":"-","position":"5"},{"id":"t211","eventBoundary":"-","position":"5"},{"id":"eiid2807","eventBoundary":"+","position":"6"},{"id":"t211","eventBoundary":"+","position":"6"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2809","timePoint1":"-","id2":"eiid2809","timePoint2":"+"},{"id1":"eiid2809","timePoint1":"+","id2":"eiid2808","timePoint2":"-"},{"id1":"eiid2808","timePoint1":"-","id2":"eiid2808","timePoint2":"+"},{"id1":"eiid2808","timePoint1":"+","id2":"eiid2807","timePoint2":"-"},{"id1":"eiid2807","timePoint1":"-","id2":"t211","timePoint2":"-"},{"id1":"t211","timePoint1":"-","id2":"eiid2807","timePoint2":"+"}]},{"nodeIds":["eiid2817","eiid2816","eiid2815","eiid2814"],"linkIds":["lid12","lid10","lid11","lid9"],"timeline":[{"id":"eiid2816","eventBoundary":"-","position":"1"},{"id":"eiid2815","eventBoundary":"-","position":"1"},{"id":"eiid2814","eventBoundary":"-","position":"1"},{"id":"eiid2816","eventBoundary":"+","position":"2"},{"id":"eiid2815","eventBoundary":"+","position":"2"},{"id":"eiid2814","eventBoundary":"+","position":"2"},{"id":"eiid2817","eventBoundary":"-","position":"3"},{"id":"eiid2817","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2816","timePoint1":"-","id2":"eiid2815","timePoint2":"-"},{"id1":"eiid2815","timePoint1":"-","id2":"eiid2814","timePoint2":"-"},{"id1":"eiid2814","timePoint1":"-","id2":"eiid2816","timePoint2":"+"},{"id1":"eiid2816","timePoint1":"+","id2":"eiid2815","timePoint2":"+"},{"id1":"eiid2815","timePoint1":"+","id2":"eiid2814","timePoint2":"+"},{"id1":"eiid2814","timePoint1":"+","id2":"eiid2817","timePoint2":"-"}]},{"nodeIds":["t2034","eiid2943","eiid2926"],"linkIds":["lid85","lid157"],"timeline":[{"id":"t2034","eventBoundary":"-","position":"1"},{"id":"eiid2943","eventBoundary":"-","position":"2"},{"id":"eiid2926","eventBoundary":"-","position":"2"},{"id":"eiid2943","eventBoundary":"+","position":"3"},{"id":"eiid2926","eventBoundary":"+","position":"3"},{"id":"t2034","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t2034","timePoint1":"-","id2":"eiid2943","timePoint2":"-"},{"id1":"eiid2943","timePoint1":"-","id2":"eiid2926","timePoint2":"-"},{"id1":"eiid2926","timePoint1":"-","id2":"eiid2943","timePoint2":"+"},{"id1":"eiid2943","timePoint1":"+","id2":"eiid2926","timePoint2":"+"}]},{"nodeIds":["eiid2832","eiid2835","eiid2836"],"linkIds":["lid22","lid23"],"timeline":[{"id":"eiid2836","eventBoundary":"-","position":"1"},{"id":"eiid2836","eventBoundary":"+","position":"2"},{"id":"eiid2832","eventBoundary":"-","position":"3"},{"id":"eiid2835","eventBoundary":"-","position":"3"},{"id":"eiid2832","eventBoundary":"+","position":"4"},{"id":"eiid2835","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2836","timePoint1":"-","id2":"eiid2836","timePoint2":"+"},{"id1":"eiid2836","timePoint1":"+","id2":"eiid2832","timePoint2":"-"},{"id1":"eiid2832","timePoint1":"-","id2":"eiid2835","timePoint2":"-"},{"id1":"eiid2835","timePoint1":"-","id2":"eiid2832","timePoint2":"+"}]},{"nodeIds":["eiid2920","eiid2916","eiid2941"],"linkIds":["lid154","lid81"],"timeline":[{"id":"eiid2920","eventBoundary":"-","position":"1"},{"id":"eiid2916","eventBoundary":"-","position":"1"},{"id":"eiid2920","eventBoundary":"+","position":"2"},{"id":"eiid2916","eventBoundary":"+","position":"3"},{"id":"eiid2941","eventBoundary":"-","position":"3"},{"id":"eiid2941","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2920","timePoint1":"-","id2":"eiid2916","timePoint2":"-"},{"id1":"eiid2916","timePoint1":"-","id2":"eiid2920","timePoint2":"+"},{"id1":"eiid2920","timePoint1":"+","id2":"eiid2916","timePoint2":"+"},{"id1":"eiid2916","timePoint1":"+","id2":"eiid2941","timePoint2":"-"}]},{"nodeIds":["eiid2861","eiid2862","t246"],"linkIds":["lid44","lid45"],"timeline":[{"id":"eiid2862","eventBoundary":"-","position":"1"},{"id":"t246","eventBoundary":"-","position":"1"},{"id":"eiid2862","eventBoundary":"+","position":"2"},{"id":"eiid2861","eventBoundary":"-","position":"3"},{"id":"eiid2861","eventBoundary":"+","position":"4"},{"id":"t246","eventBoundary":"+","position":"5"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2862","timePoint1":"-","id2":"t246","timePoint2":"-"},{"id1":"t246","timePoint1":"-","id2":"eiid2862","timePoint2":"+"},{"id1":"eiid2862","timePoint1":"+","id2":"eiid2861","timePoint2":"-"},{"id1":"eiid2861","timePoint1":"-","id2":"eiid2861","timePoint2":"+"}]},{"nodeIds":["eiid2906","t2009"],"linkIds":["lid74"],"timeline":[{"id":"t2009","eventBoundary":"-","position":"1"},{"id":"eiid2906","eventBoundary":"-","position":"2"},{"id":"eiid2906","eventBoundary":"+","position":"3"},{"id":"t2009","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t2009","timePoint1":"-","id2":"eiid2906","timePoint2":"-"},{"id1":"eiid2906","timePoint1":"-","id2":"eiid2906","timePoint2":"+"}]},{"nodeIds":["eiid2937","t2003"],"linkIds":["lid151"],"timeline":[{"id":"t2003","eventBoundary":"-","position":"1"},{"id":"eiid2937","eventBoundary":"-","position":"2"},{"id":"eiid2937","eventBoundary":"+","position":"3"},{"id":"t2003","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t2003","timePoint1":"-","id2":"eiid2937","timePoint2":"-"},{"id1":"eiid2937","timePoint1":"-","id2":"eiid2937","timePoint2":"+"}]},{"nodeIds":["eiid2831","t228"],"linkIds":["lid21"],"timeline":[{"id":"t228","eventBoundary":"-","position":"1"},{"id":"eiid2831","eventBoundary":"-","position":"2"},{"id":"eiid2831","eventBoundary":"+","position":"3"},{"id":"t228","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t228","timePoint1":"-","id2":"eiid2831","timePoint2":"-"},{"id1":"eiid2831","timePoint1":"-","id2":"eiid2831","timePoint2":"+"}]},{"nodeIds":["t2021","eiid2914"],"linkIds":["lid79"],"timeline":[{"id":"t2021","eventBoundary":"-","position":"1"},{"id":"eiid2914","eventBoundary":"-","position":"2"},{"id":"eiid2914","eventBoundary":"+","position":"3"},{"id":"t2021","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t2021","timePoint1":"-","id2":"eiid2914","timePoint2":"-"},{"id1":"eiid2914","timePoint1":"-","id2":"eiid2914","timePoint2":"+"}]},{"nodeIds":["eiid2820","eiid2819"],"linkIds":["lid14"],"timeline":[{"id":"eiid2819","eventBoundary":"-","position":"1"},{"id":"eiid2820","eventBoundary":"-","position":"2"},{"id":"eiid2820","eventBoundary":"+","position":"3"},{"id":"eiid2819","eventBoundary":"+","position":"3"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2819","timePoint1":"-","id2":"eiid2820","timePoint2":"-"},{"id1":"eiid2820","timePoint1":"-","id2":"eiid2820","timePoint2":"+"}]},{"nodeIds":["eiid2893","eiid2892"],"linkIds":["lid67"],"timeline":[{"id":"eiid2893","eventBoundary":"-","position":"1"},{"id":"eiid2893","eventBoundary":"+","position":"2"},{"id":"eiid2892","eventBoundary":"-","position":"3"},{"id":"eiid2892","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2893","timePoint1":"-","id2":"eiid2893","timePoint2":"+"},{"id1":"eiid2893","timePoint1":"+","id2":"eiid2892","timePoint2":"-"}]},{"nodeIds":["eiid2840","eiid2843"],"linkIds":["lid147"],"timeline":[{"id":"eiid2843","eventBoundary":"-","position":"1"},{"id":"eiid2840","eventBoundary":"-","position":"2"},{"id":"eiid2840","eventBoundary":"+","position":"3"},{"id":"eiid2843","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2843","timePoint1":"-","id2":"eiid2840","timePoint2":"-"},{"id1":"eiid2840","timePoint1":"-","id2":"eiid2840","timePoint2":"+"}]},{"nodeIds":["eiid2938","t2008"],"linkIds":["lid152"],"timeline":[{"id":"t2008","eventBoundary":"-","position":"1"},{"id":"eiid2938","eventBoundary":"-","position":"2"},{"id":"eiid2938","eventBoundary":"+","position":"3"},{"id":"t2008","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t2008","timePoint1":"-","id2":"eiid2938","timePoint2":"-"},{"id1":"eiid2938","timePoint1":"-","id2":"eiid2938","timePoint2":"+"}]},{"nodeIds":["eiid2922","t2029"],"linkIds":["lid83"],"timeline":[{"id":"t2029","eventBoundary":"-","position":"1"},{"id":"eiid2922","eventBoundary":"-","position":"2"},{"id":"eiid2922","eventBoundary":"+","position":"3"},{"id":"t2029","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t2029","timePoint1":"-","id2":"eiid2922","timePoint2":"-"},{"id1":"eiid2922","timePoint1":"-","id2":"eiid2922","timePoint2":"+"}]},{"nodeIds":["t249","eiid2864"],"linkIds":["lid46"],"timeline":[{"id":"t249","eventBoundary":"-","position":"1"},{"id":"eiid2864","eventBoundary":"-","position":"1"},{"id":"t249","eventBoundary":"+","position":"2"},{"id":"eiid2864","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t249","timePoint1":"-","id2":"eiid2864","timePoint2":"-"},{"id1":"eiid2864","timePoint1":"-","id2":"t249","timePoint2":"+"}]},{"nodeIds":["t1998","eiid2900"],"linkIds":["lid69"],"timeline":[{"id":"t1998","eventBoundary":"-","position":"1"},{"id":"eiid2900","eventBoundary":"-","position":"2"},{"id":"eiid2900","eventBoundary":"+","position":"3"},{"id":"t1998","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t1998","timePoint1":"-","id2":"eiid2900","timePoint2":"-"},{"id1":"eiid2900","timePoint1":"-","id2":"eiid2900","timePoint2":"+"}]},{"nodeIds":["t214","eiid2813"],"linkIds":["lid7"],"timeline":[{"id":"t214","eventBoundary":"-","position":"1"},{"id":"eiid2813","eventBoundary":"-","position":"2"},{"id":"eiid2813","eventBoundary":"+","position":"3"},{"id":"t214","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t214","timePoint1":"-","id2":"eiid2813","timePoint2":"-"},{"id1":"eiid2813","timePoint1":"-","id2":"eiid2813","timePoint2":"+"}]},{"nodeIds":["eiid2917","t2022"],"linkIds":["lid80"],"timeline":[{"id":"t2022","eventBoundary":"-","position":"1"},{"id":"eiid2917","eventBoundary":"-","position":"2"},{"id":"eiid2917","eventBoundary":"+","position":"3"},{"id":"t2022","eventBoundary":"+","position":"4"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"t2022","timePoint1":"-","id2":"eiid2917","timePoint2":"-"},{"id1":"eiid2917","timePoint1":"-","id2":"eiid2917","timePoint2":"+"}]},{"nodeIds":["eiid2810","eiid2811"],"linkIds":["lid6"],"timeline":[{"id":"eiid2810","eventBoundary":"-","position":"1"},{"id":"eiid2811","eventBoundary":"-","position":"1"},{"id":"eiid2810","eventBoundary":"+","position":"2"},{"id":"eiid2811","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[{"id1":"eiid2810","timePoint1":"-","id2":"eiid2811","timePoint2":"-"},{"id1":"eiid2811","timePoint1":"-","id2":"eiid2810","timePoint2":"+"}]},{"nodeIds":["t225"],"linkIds":[],"timeline":[{"id":"t225","eventBoundary":"-","position":"1"},{"id":"t225","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2872"],"linkIds":[],"timeline":[{"id":"eiid2872","eventBoundary":"-","position":"1"},{"id":"eiid2872","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2879"],"linkIds":[],"timeline":[{"id":"eiid2879","eventBoundary":"-","position":"1"},{"id":"eiid2879","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2932"],"linkIds":[],"timeline":[{"id":"eiid2932","eventBoundary":"-","position":"1"},{"id":"eiid2932","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2896"],"linkIds":[],"timeline":[{"id":"eiid2896","eventBoundary":"-","position":"1"},{"id":"eiid2896","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2939"],"linkIds":[],"timeline":[{"id":"eiid2939","eventBoundary":"-","position":"1"},{"id":"eiid2939","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2894"],"linkIds":[],"timeline":[{"id":"eiid2894","eventBoundary":"-","position":"1"},{"id":"eiid2894","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2871"],"linkIds":[],"timeline":[{"id":"eiid2871","eventBoundary":"-","position":"1"},{"id":"eiid2871","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2881"],"linkIds":[],"timeline":[{"id":"eiid2881","eventBoundary":"-","position":"1"},{"id":"eiid2881","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2940"],"linkIds":[],"timeline":[{"id":"eiid2940","eventBoundary":"-","position":"1"},{"id":"eiid2940","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2834"],"linkIds":[],"timeline":[{"id":"eiid2834","eventBoundary":"-","position":"1"},{"id":"eiid2834","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2863"],"linkIds":[],"timeline":[{"id":"eiid2863","eventBoundary":"-","position":"1"},{"id":"eiid2863","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2818"],"linkIds":[],"timeline":[{"id":"eiid2818","eventBoundary":"-","position":"1"},{"id":"eiid2818","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2899"],"linkIds":[],"timeline":[{"id":"eiid2899","eventBoundary":"-","position":"1"},{"id":"eiid2899","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2898"],"linkIds":[],"timeline":[{"id":"eiid2898","eventBoundary":"-","position":"1"},{"id":"eiid2898","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2918"],"linkIds":[],"timeline":[{"id":"eiid2918","eventBoundary":"-","position":"1"},{"id":"eiid2918","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2874"],"linkIds":[],"timeline":[{"id":"eiid2874","eventBoundary":"-","position":"1"},{"id":"eiid2874","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2812"],"linkIds":[],"timeline":[{"id":"eiid2812","eventBoundary":"-","position":"1"},{"id":"eiid2812","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]},{"nodeIds":["eiid2839"],"linkIds":[],"timeline":[{"id":"eiid2839","eventBoundary":"-","position":"1"},{"id":"eiid2839","eventBoundary":"+","position":"2"}],"isConsistent":true,"indeterminantTimePairs":[]}],"isConsistent":true,"inconsistentSubGraphs":[]}
""")
        return sorted(pytlex.items()) == sorted(jtlex.items())

if __name__ == '__main__':
    unittest.main()